	// fieldins.cpp : implementation file
//

#include "stdafx.h"
#include "highvcpp.h"
#include "highdef.h"
#include "hefins.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFieldInsertDlg dialog


CFieldInsertDlg::CFieldInsertDlg(CWnd* pParent /*=NULL*/)
        : CDialog(CFieldInsertDlg::IDD, pParent)
{
        //{{AFX_DATA_INIT(CFieldInsertDlg)
                // NOTE: the ClassWizard will add member initialization here
        //}}AFX_DATA_INIT
}

void CFieldInsertDlg::DoDataExchange(CDataExchange* pDX)
{
        CDialog::DoDataExchange(pDX);
        //{{AFX_DATA_MAP(CFieldInsertDlg)
        DDX_Control(pDX, IDD_FI_FIELDS, m_cListBox);
        //}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFieldInsertDlg, CDialog)
        //{{AFX_MSG_MAP(CFieldInsertDlg)
        //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CFieldInsertDlg message handlers

BOOL CFieldInsertDlg::OnInitDialog()
{
        CDialog::OnInitDialog();

        WORD wTabWidth = 200;
        m_cListBox.SetTabStops(1, (LPINT)&wTabWidth);

        CheckDlgButton (IDD_FI_VISIBLE, 1);
        CheckDlgButton (IDD_FI_EDITABLE, 1);
        CheckRadioButton(IDD_FI_LEFT, IDD_FI_RIGHT, IDD_FI_LEFT);

        GetDlgItem (IDD_FI_VISIBLE)->EnableWindow (FALSE);
        GetDlgItem (IDD_FI_EDITABLE)->EnableWindow (FALSE);
        GetDlgItem (IDD_FI_LINEREMOVE)->EnableWindow (FALSE);
        GetDlgItem (IDD_FI_LEFT)->EnableWindow (FALSE);
        GetDlgItem (IDD_FI_RIGHT)->EnableWindow (FALSE);


        // Adresstypen
        ListAddFieldString ("{Name1}", TYP_NAME1);
        ListAddFieldString ("{Name2}", TYP_NAME2);
        ListAddFieldString ("{Street}", TYP_STRASSE);
        ListAddFieldString ("{Zip}", TYP_PLZ);
        ListAddFieldString ("{City}", TYP_ORT);
        ListAddFieldString ("{Country}", TYP_LAND);

        // Datumstypen
        ListAddFieldString ("{Date}", TYP_DATUM);

        // Nummertypen
        ListAddFieldString ("{Number}", TYP_NUMMER);
        // Verschiedenes
        ListAddFieldString ("{Title}", TYP_TITEL);
        ListAddFieldString ("{Page}", TYP_SEITE);
        ListAddFieldString ("{Phone}", TYP_TELEFON);

        m_cListBox.SendMessage (LB_SETCURSEL, 0, 0L);

        return TRUE;  // return TRUE  unless you set the focus to a control
}


int CFieldInsertDlg::ListAddFieldString(const char *szText,BYTE byTyp)
{
        char szBuffer[256];

        sprintf (szBuffer, "%s\t%u", szText, byTyp);
        return(m_cListBox.AddString(szBuffer));
}




void CFieldInsertDlg::OnOK()
{
   HWND hwndUpdate;
   char szBuffer[256];
   char *szFound;
   BYTE byFlags = PF_VISIBLE | PF_FUNCTION | PF_EDITABLE;
   BYTE byTyp;


 	int iIndex =  m_cListBox.GetCurSel();

	if (iIndex != LB_ERR)
	{
		m_cListBox.GetText(iIndex,szBuffer);
		szFound = strchr (szBuffer, '\t');
		byTyp = atoi (szFound + 1);
		*szFound = '\0';
	}

   if (IsDlgButtonChecked (IDD_FI_LEFT) )
           byFlags |= PF_ALIGNLEFT;
   else
           byFlags |= PF_ALIGNRIGHT;

   if (IsDlgButtonChecked (IDD_FI_FIXEDSIZE))
           byFlags |= PF_FIXEDSIZE;

   m_pHighEdit->SendMessage (HE_INSERTFUNCTIONPF
                      , MAKEWORD (byTyp, byFlags)
                      , (LONG) (LPSTR) szBuffer);

   switch (m_pHighEdit->SendMessage (HE_GETCONTEXT, 0, 0L))
   {
           case CONTEXT_MAIN:
                   hwndUpdate = m_pHighEdit->m_hWnd;
                   break;
           case CONTEXT_HEAD:
                   hwndUpdate = (HWND) LOWORD (m_pHighEdit->SendMessage (HE_GETHEADFOOTHWND, 0, 0L));
                   break;
           case CONTEXT_FOOT:
                   hwndUpdate = (HWND) HIWORD (m_pHighEdit->SendMessage (HE_GETHEADFOOTHWND, 0, 0L));
                   break;
   }

   ::InvalidateRect (hwndUpdate,NULL, FALSE);
   ::UpdateWindow (hwndUpdate);
   
}




/////////////////////////////////////////////////////////////////////////////
// CFieldFlagsDlg dialog


CFieldFlagsDlg::CFieldFlagsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFieldFlagsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFieldFlagsDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CFieldFlagsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFieldFlagsDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFieldFlagsDlg, CDialog)
	//{{AFX_MSG_MAP(CFieldFlagsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CFieldFlagsDlg message handlers

BOOL CFieldFlagsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	WORD wFlags = (WORD) m_pHighEdit->SendMessage (HE_GETPFFLAGS, 0, 0L);

	switch (wFlags & PF_ALIGNMASK)
	{
		case PF_ALIGNLEFT:
			CheckRadioButton (IDD_FF_LEFT, IDD_FF_RIGHT, IDD_FF_LEFT);
		break;

		case PF_ALIGNRIGHT:
			CheckRadioButton (IDD_FF_LEFT, IDD_FF_RIGHT, IDD_FF_RIGHT);
		break;
	}

	if (wFlags & PF_VISIBLE)
		CheckDlgButton (IDD_FF_VISIBLE, 1);

	if (wFlags & PF_EDITABLE)
		CheckDlgButton (IDD_FF_EDITABLE, 1);

	if (wFlags & PF_LINEREMOVE)
		CheckDlgButton (IDD_FF_LINEREMOVE, 1);

	if (wFlags & PF_MULTILINE)
		CheckDlgButton (IDD_FF_MULTILINE, 1);

	if (wFlags & PF_FUNCTION)
	{
		bFunction = TRUE;

		if (wFlags & PF_FIXEDSIZE)
			CheckDlgButton (IDD_FF_FIXEDSIZE, 1);

		GetDlgItem (IDD_FF_LEFT)->EnableWindow (FALSE);
		GetDlgItem (IDD_FF_RIGHT)->EnableWindow (FALSE);
	}
	else
	{
		bFunction = FALSE;
		CheckDlgButton (IDD_FF_FIXEDSIZE, 1);
		GetDlgItem(IDD_FF_FIXEDSIZE)->EnableWindow (FALSE);
	}

	return TRUE;  // return TRUE  unless you set the focus to a control
}
   
   
   
void CFieldFlagsDlg::OnOK()
{
	WORD wFlags;
	HWND hwndUpdate;

	EndDialog (1);

	if (IsDlgButtonChecked (IDD_FF_LEFT))
		wFlags = PF_ALIGNLEFT;
	else
		wFlags = PF_ALIGNRIGHT;

	if (bFunction)
		wFlags |= PF_FUNCTION;

	if (IsDlgButtonChecked (IDD_FF_VISIBLE))
		wFlags |= PF_VISIBLE;

	if (IsDlgButtonChecked (IDD_FF_EDITABLE))
		wFlags |= PF_EDITABLE;

	if (IsDlgButtonChecked (IDD_FF_LINEREMOVE))
		wFlags |= PF_LINEREMOVE;

	if (IsDlgButtonChecked (IDD_FF_FIXEDSIZE))
		wFlags |= PF_FIXEDSIZE;

	if (IsDlgButtonChecked (IDD_FF_MULTILINE))
		wFlags |= PF_MULTILINE;

	m_pHighEdit->SendMessage (HE_SETPFFLAGS, wFlags, 0L);

	switch (m_pHighEdit->SendMessage (HE_GETCONTEXT, 0, 0L))
	{
		case CONTEXT_MAIN:
			hwndUpdate = m_pHighEdit->m_hWnd;
			break;
		case CONTEXT_HEAD:
			hwndUpdate = (HWND) LOWORD (m_pHighEdit->SendMessage (HE_GETHEADFOOTHWND, 0, 0L));
			break;
		case CONTEXT_FOOT:
			hwndUpdate = (HWND)HIWORD (m_pHighEdit->SendMessage (HE_GETHEADFOOTHWND, 0, 0L));
			break;
	}

	::InvalidateRect (hwndUpdate, NULL, FALSE);
	::UpdateWindow (hwndUpdate);

	CDialog::OnOK();
}
