//------------------
// HighEdit IconBar
//------------------

#ifdef __cplusplus
extern "C" {
#endif	// __cplusplus

#define WS_DEFICONBAR  (WS_CHILD | WS_VISIBLE | WS_CLIPSIBLINGS)

#define CLASS_ICONBAR "HEIconBar"

#define TAB_LEFT         0
#define TAB_RIGHT        1
#define TAB_DECIMAL      2
#define TAB_CENTER		 3

#define IBN_STYLE	 1
#define IBN_ALIGN	 2
#define IBN_SPACING  3
#define IBN_COLOR	 4
#define IBN_DISPLAY  5
#define IBN_FONTNAME 6
#define IBN_FONTSIZE 7
#define IBN_DBLCLK	 8
#define IBN_TAB 	 9

#define IBM_SETSTYLE			(WM_USER + 1)
#define IBM_GETSTYLE			(WM_USER + 2)
#define IBM_SETALIGN			(WM_USER + 3)
#define IBM_GETALIGN			(WM_USER + 4)
#define IBM_SETSPACING			(WM_USER + 5)
#define IBM_GETSPACING			(WM_USER + 6)
#define IBM_GETCOLOR			(WM_USER + 7)
#define IBM_GETDISPLAY			(WM_USER + 8)
#define IBM_SETDISPLAY			(WM_USER + 9)
#define IBM_GETCOLORLOGFONT 	(WM_USER + 12)
#define IBM_SETCOLORLOGFONT 	(WM_USER + 13)
#define IBM_SETFONTSIZE 		(WM_USER + 14)
#define IBM_HIDEDROPDOWN		(WM_USER + 15)
#define IBM_GETTAB				(WM_USER + 16)
#define IBM_SETTAB				(WM_USER + 17)
#define IBM_ENABLESCREENFONTS	(WM_USER + 18)
#define IBM_ISSCREENFONT		(WM_USER + 19)
#define IBM_SETCOLOR			(WM_USER + 31)

BOOL FAR PASCAL HEIconBarInit (HANDLE hInst);

#ifdef __cplusplus
}
#endif	// __cplusplus
