// hevcdlg.h : header file
//        

class CHighView;

class CHEDialogBoxes
{
// Attributes
private:
    CHighView *m_pHighView;
    
public:
    FONTBOXPARAM m_FontBoxParam;
    FILEBOXPARAM m_FileBoxParam;
    FILEBOXPARAM m_PictureFileBoxParam;
    COLORBOXPARAM m_ColorBoxParam;
    SEARCHBOXPARAM m_SearchBoxParam;
    DOCINFOBOXPARAM m_DocInfoBoxParam;
    FORMATDOCBOXPARAM m_FormatDocBoxParam;
    BACKCOLORBOXPARAM m_BackColorBoxParam;
    PARAGRAPHBOXPARAM m_ParagraphBoxParam;
    PRINTBOXPARAM m_PrintBoxParam;

// Implementation    
public:
    CHEDialogBoxes();
    ~CHEDialogBoxes();

// Operations
public:
    VOID SetHighEditView(CHighView *);
    
    BOOL LoadDlg();
    BOOL LoadFile();
    BOOL AppendDlg();
    BOOL AppendFile();
    BOOL SaveDlg();
    BOOL SaveFile();
    BOOL PrintDlg ();
    BOOL PrintSetupDlg ();
    
    BOOL ParagraphDlg();
    BOOL FontDlg();
    BOOL PictureDlg();
        
    WORD ReplaceDlg();
    BOOL SearchDlg();
    WORD Search (WORD, LPSTR, BOOL); 
    WORD SearchContinue (BOOL, BOOL);

    BOOL FormatDocDlg();
    BOOL DocInfoDlg();
    int ColorDlg();
    VOID BkColorDlg();
};

