// hevctool.h : header file
//        

// Ruler Control Notification Codes
                   
#define ON_RN_LBUTTONDBLCLK(id, memberFxn)  ON_CONTROL(RN_LBUTTONDBLCLK, id, memberFxn)
#define ON_RN_RBUTTONDBLCLK(id, memberFxn)  ON_CONTROL(RN_RBUTTONDBLCLK, id, memberFxn)

/////////////////////////////////////////////////////////////////////////////
// CHERuler window

class CHERuler : public CWnd
{
// Construction
public:
    CHERuler();
    BOOL Create (DWORD dwstyle, const RECT& rect, CWnd* pParentWnd, UINT nID);

// Attributes
public:

// Operations
public:

// Implementation
public:
    virtual ~CHERuler();
protected:
    virtual WNDPROC* GetSuperWndProcAddr ();

protected:
    // Generated message map functions
    //{{AFX_MSG(CHERuler)
        // NOTE - the ClassWizard will add and remove member functions here.
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

// Tabulator Control Notification Codes
           
#define ON_TN_ERROR(id, memberFxn)              ON_CONTROL(TN_ERROR, id, memberFxn)

#define ON_TN_INSERTLEFTTAB(id, memberFxn)      ON_CONTROL(TN_INSERTLEFTTAB, id, memberFxn)
#define ON_TN_INSERTRIGHTTAB(id, memberFxn)     ON_CONTROL(TN_INSERTRIGHTTAB, id, memberFxn)
#define ON_TN_INSERTDECIMALTAB(id, memberFxn)   ON_CONTROL(TN_INSERTDECIMALTAB, id, memberFxn)
#define ON_TN_INSERTCENTERTAB(id, memberFxn)    ON_CONTROL(TN_INSERTCENTERTAB, id, memberFxn)
#define ON_TN_INSERTLM(id, memberFxn)           ON_CONTROL(TN_INSERTLM, id, memberFxn)
#define ON_TN_INSERTRM(id, memberFxn)           ON_CONTROL(TN_INSERTRM, id, memberFxn)
#define ON_TN_INSERTINDENT(id, memberFxn)       ON_CONTROL(TN_INSERTINDENT, id, memberFxn)

#define ON_TN_UPDATELEFTTAB(id, memberFxn)      ON_CONTROL(TN_UPDATELEFTTAB, id, memberFxn)
#define ON_TN_UPDATERIGHTTAB(id, memberFxn)     ON_CONTROL(TN_UPDATERIGHTTAB, id, memberFxn)
#define ON_TN_UPDATEDECIMALTAB(id, memberFxn)   ON_CONTROL(TN_UPDATEDECIMALTAB, id, memberFxn)
#define ON_TN_UPDATECENTERTAB(id, memberFxn)    ON_CONTROL(TN_UPDATECENTERTAB, id, memberFxn)
#define ON_TN_UPDATELM(id, memberFxn)           ON_CONTROL(TN_UPDATELM, id, memberFxn)
#define ON_TN_UPDATERM(id, memberFxn)           ON_CONTROL(TN_UPDATERM, id, memberFxn)
#define ON_TN_UPDATEINDENT(id, memberFxn)       ON_CONTROL(TN_UPDATEINDENT, id, memberFxn)

#define ON_TN_DELETELEFTTAB(id, memberFxn)      ON_CONTROL(TN_DELETELEFTTAB, id, memberFxn)
#define ON_TN_DELETERIGHTTAB(id, memberFxn)     ON_CONTROL(TN_DELETERIGHTTAB, id, memberFxn)
#define ON_TN_DELETEDECIMALTAB(id, memberFxn)   ON_CONTROL(TN_DELETEDECIMALTAB, id, memberFxn)
#define ON_TN_DELETECENTERTAB(id, memberFxn)    ON_CONTROL(TN_DELETECENTERTAB, id, memberFxn)

#define ON_TN_MOUSEMOVELEFTTAB(id, memberFxn)   ON_CONTROL(TN_MOUSEMOVELEFTTAB, id, memberFxn)
#define ON_TN_MOUSEMOVERIGHTTAB(id, memberFxn)  ON_CONTROL(TN_MOUSEMOVERIGHTTAB, id, memberFxn)
#define ON_TN_MOUSEMOVEDECIMALTAB(id, memberFxn) ON_CONTROL(TN_MOUSEMOVEDECIMALTAB, id, memberFxn)
#define ON_TN_MOUSEMOVECENTERTAB(id, memberFxn) ON_CONTROL(TN_MOUSEMOVECENTERTAB, id, memberFxn)
#define ON_TN_MOUSEMOVELM(id, memberFxn)        ON_CONTROL(TN_MOUSEMOVELM, id, memberFxn)
#define ON_TN_MOUSEMOVERM(id, memberFxn)        ON_CONTROL(TN_MOUSEMOVERM, id, memberFxn)
#define ON_TN_MOUSEMOVEINDENT(id, memberFxn)    ON_CONTROL(TN_MOUSEMOVEINDENT, id, memberFxn)

#define ON_TN_LEFTSCROLLLM(id, memberFxn)       ON_CONTROL(TN_LEFTSCROLLLM, id, memberFxn)
#define ON_TN_LEFTSCROLLRM(id, memberFxn)       ON_CONTROL(TN_LEFTSCROLLRM, id, memberFxn)
#define ON_TN_LEFTSCROLLINDENT(id, memberFxn)   ON_CONTROL(TN_LEFTSCROLLINDENT, id, memberFxn)

#define ON_TN_RIGHTSCROLLLM(id, memberFxn)      ON_CONTROL(TN_RIGHTSCROLLLM, id, memberFxn)
#define ON_TN_RIGHTSCROLLRM(id, memberFxn)      ON_CONTROL(TN_RIGHTSCROLLRM, id, memberFxn)
#define ON_TN_RIGHTSCROLLINDENT(id, memberFxn)  ON_CONTROL(TN_RIGHTSCROLLINDENT, id, memberFxn)

#define ON_TN_SCROLLPOS(id, memberFxn)          ON_CONTROL(TN_SCROLLPOS, id, memberFxn)

/////////////////////////////////////////////////////////////////////////////
// CHETabulator window

class CHETabulator : public CWnd
{
// Construction
public:
    CHETabulator();
    BOOL Create (DWORD dwstyle, const RECT& rect, CWnd* pParentWnd, UINT nID);

// Attributes
public:

// Operations
public:

// Implementation
public:
    virtual ~CHETabulator();
protected:
    virtual WNDPROC* GetSuperWndProcAddr ();

protected:
    // Generated message map functions
    //{{AFX_MSG(CHETabulator)
        // NOTE - the ClassWizard will add and remove member functions here.
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CHEStatusLine window

class CHEStatusLine : public CWnd
{
// Construction
public:
    CHEStatusLine();
    BOOL Create (DWORD dwstyle, const RECT& rect, CWnd* pParentWnd, UINT nID);

// Attributes
public:

// Operations
public:

// Implementation
public:
    virtual ~CHEStatusLine();
protected:
    virtual WNDPROC* GetSuperWndProcAddr ();

protected:
    // Generated message map functions
    //{{AFX_MSG(CHEStatusLine)
        // NOTE - the ClassWizard will add and remove member functions here.
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
