
Sub ListAddFieldString (FieldList As Control, Text As String, Typ As Integer)
    FieldList.AddItem Text + Chr$(9) + Chr$(9) + Chr$(9) + Chr$(9) + Str$(Typ)
End Sub

Sub ListQueryFieldString (FieldList As Control, Text As String, Typ As Integer)
    Item$ = FieldList.Text
    Offset% = InStr(1, Item$, Chr$(9))
    Text = Left$(Item$, Offset% - 1)
    Number$ = Right$(Item$, Len(Item$) - Offset% - 3)
    Typ = Val(Number$)
End Sub

Sub NewWindowTitle (Untitled As Integer)
    If Untitled = True Then
	If actlanguage = LANGUAGE_GERMAN Then
	    FormMain.Caption = "HighEdit fr Visual Basic - (unbenannt)"
	Else
	    FormMain.Caption = "HighEdit for Visual Basic - (untitled)"
	End If
    Else
	FileName$ = String$(255, 32)
	NameLen% = HEGetFileName(FormMain.HighEdit.hWnd, FileName$)
	If actlanguage = LANGUAGE_GERMAN Then
	    FormMain.Caption = "HighEdit fr Visual Basic - " + RTrim$(FileName$)
	Else
	    FormMain.Caption = "HighEdit for Visual Basic - " + RTrim$(FileName$)
	End If
    End If
End Sub

Sub set_language (language As Integer)

    actlanguage = language

    Select Case language
	Case LANGUAGE_GERMAN:
	    FormMain.MenuFile.Caption = "&Datei"
	    FormMain.MenuFileNew.Caption = "&Neu"
	    FormMain.MenuFileOpen.Caption = "&ffnen..."
	    FormMain.MenuFileAppend.Caption = "&Einfgen..."
	    FormMain.MenuFileDelete.Caption = "&Lschen..."
	    FormMain.MenuFileSave.Caption = "&Speichern"
	    FormMain.MenuFileSaveAs.Caption = "Speichern &unter..."
	    FormMain.MenuFileDocInfo.Caption = "&Info..."
	    FormMain.MenuFilePrint.Caption = "D&rucken..."
	    FormMain.MenuFilePrintSetup.Caption = "Dr&ucker einrichten..."
	    FormMain.MenuFileExit.Caption = "&Beenden"
		    
	    FormMain.MenuEdit.Caption = "&Bearbeiten"
	    FormMain.MenuEditUndo.Caption = "&Rckgngig"
	    FormMain.MenuEditCut.Caption = "&Ausschneiden"
	    FormMain.MenuEditCopy.Caption = "&Kopieren"
	    FormMain.MenuEditPaste.Caption = "&Einfgen"
	    FormMain.MenuEditClear.Caption = "&Lschen"
	    FormMain.MenuEditSelectAll.Caption = "Alles &Markieren"
		    
	    FormMain.MenuFont.Caption = "Schri&ft"
	    FormMain.MenuFontNormal.Caption = "&Normal"
	    FormMain.MenuFontBold.Caption = "&Fett"
	    FormMain.MenuFontUnderline.Caption = "&Unterstrichen"
	    FormMain.MenuFontItalic.Caption = "&Kursiv"
	    FormMain.MenuFontStrikeThru.Caption = "&Durchgestrichen"
	    FormMain.MenuFontSuperScript.Caption = "&Hoch gestellt"
	    FormMain.MenuFontSubScript.Caption = "&Tief gestellt"
	    FormMain.MenuAlignLeft.Caption = "&Linksbndig"
	    FormMain.MenuAlignCenter.Caption = "&Zentriert"
	    FormMain.MenuAlignRight.Caption = "&Rechtsbndig"
	    FormMain.MenuAlignJustify.Caption = "&Blocksatz"
	    FormMain.MenuSpacingOne.Caption = "&1 Zeilig"
	    FormMain.MenuSpacingOneHalf.Caption = "1.&5 Zeilig"
	    FormMain.MenuSpacingDouble.Caption = "&2 Zeilig"
	    FormMain.MenuFontColor.Caption = "&Farbe"
	    FormMain.MenuFontChoice.Caption = "&Auswahl"
	    FormMain.MenuFontScreen.Caption = "Bildschirmschriften &verfgbar"
		    
	    FormMain.MenuSearch.Caption = "&Suchen"
	    FormMain.MenuSearchSearch.Caption = "&Suchen..."
	    FormMain.MenuSearchReplace.Caption = "&Ersetzen..."
	    FormMain.MenuSearchContinue.Caption = "&Weitersuchen"
		    
	    FormMain.MenuOpt.Caption = "&Optionen"
	    FormMain.MenuOptDocFormat.Caption = "&Dokumenten Format..."
	    FormMain.MenuOptParagraph.Caption = "&Absatz/Tabulatoren..."
	    FormMain.MenuOptBackColor.Caption = "&Hintergrundfarbe..."
	    FormMain.MenuOptGrayBk.Caption = "&Grauer Hintergrund"
	    FormMain.MenuOptLineBreak.Caption = "&Automatischer Zeilenumbruch"
	    FormMain.MenuOptPictureFrame.Caption = "&Bilder mit Rahmen darstellen"
	    FormMain.MenuOptCR.Caption = "&Zeilenumbrche sichtbar"
	    FormMain.MenuOptTab.Caption = "&Tabulatoren sichtbar"
	    FormMain.MenuOptSpace.Caption = "&Leerzeichen sichtbar"
	    FormMain.MenuOptPFVisible.Caption = "&Eingabefelder sichtbar"
	    FormMain.MenuOptPFFunction.Caption = "&Feldfunktion sichtbar"
	    FormMain.MenuOptPFGhost.Caption = "Unsichtbare &Felder darstellen"
	    FormMain.MenuOptLineGhost.Caption = "Unsichtbare Z&eilen darstellen"
	    FormMain.MenuOptMetric.Caption = "Zen&timeter Einheiten"
	    FormMain.MenuOptInch.Caption = "Z&oll Einheiten"
	    FormMain.MenuOptSave.Caption = "Als &Standard speichern"
		   
	    FormMain.MenuSpecial.Caption = "Ex&tras"
	    FormMain.MenuSpecialHeadFoot.Caption = "&Kopf/Fuzeilen"
	    FormMain.MenuSpecialPreview.Caption = "&Seitenansicht"
	    FormMain.MenuSpecialFields.Caption = "&Eingabefelder..."
	    FormMain.MenuSpecialPicture.Caption = "&Grafik einfgen..."
	    FormMain.MenuSpecialInsertTable.Caption = "&Tabelle einfgen..."
	    FormMain.MenuSpecialInsertRow.Caption = "Tabellen&zeile einfgen"
	    FormMain.MenuSpecialDeleteRow.Caption = "Tabellenzeile &lschen"
	    FormMain.MenuSpecialFormatText.Caption = "&Text formattieren"
	    FormMain.MenuSpecialFF.Caption = "Seiten&umbruch"
	    FormMain.MenuSpecialPaginate.Caption = "&Paginierung"
	    FormMain.MenuSpecialAddress.Caption = "&Beispiel: Adresse ndern..."
		    
	    FormMain.MenuSpell.Caption = "&Rechtschreibung"
	    FormMain.MenuSpellImmediate.Caption = "&Sofortprfung"
	    FormMain.MenuSpellBeep.Caption = "&Warnton"
	    FormMain.MenuSpellWord.Caption = "&Aktuelles Wort..."
	    FormMain.MenuSpellCursor.Caption = "&Prfe ab Cursor..."
	    FormMain.MenuSpellSkip.Caption = "&bergehe Zusammengesetzte"
	    FormMain.MenuSpellDict.Caption = "Wrter&buch..."

	    FormMain.MenuLanguage.Caption = "Spr&ache"
	    FormMain.MenuLanguageGerman.Caption = "&Deutsch"
	    FormMain.MenuLanguageEnglish.Caption = "&Englisch"
		    
	    FormMain.MenuHelp.Caption = "&?"
	    FormMain.MenuHelpIndex.Caption = "&Index..."
	    FormMain.MenuHelpAbout.Caption = "&ber HighEdit..."

	Case LANGUAGE_ENGLISH:
	    FormMain.MenuFile.Caption = "&File"
	    FormMain.MenuFileNew.Caption = "&New"
	    FormMain.MenuFileOpen.Caption = "&Open..."
	    FormMain.MenuFileAppend.Caption = "&Insert..."
	    FormMain.MenuFileDelete.Caption = "&Delete..."
	    FormMain.MenuFileSave.Caption = "&Save"
	    FormMain.MenuFileSaveAs.Caption = "Save &As..."
	    FormMain.MenuFileDocInfo.Caption = "Document &information..."
	    FormMain.MenuFilePrint.Caption = "&Print..."
	    FormMain.MenuFilePrintSetup.Caption = "P&rint Setup..."
	    FormMain.MenuFileExit.Caption = "&Exit"
		    
	    FormMain.MenuEdit.Caption = "&Edit"
	    FormMain.MenuEditUndo.Caption = "&Undo"
	    FormMain.MenuEditCut.Caption = "&Cut"
	    FormMain.MenuEditCopy.Caption = "C&opy"
	    FormMain.MenuEditPaste.Caption = "&Paste"
	    FormMain.MenuEditClear.Caption = "C&lear"
	    FormMain.MenuEditSelectAll.Caption = "&Select all"
		    
	    FormMain.MenuFont.Caption = "&Font"
	    FormMain.MenuFontNormal.Caption = "&Normal"
	    FormMain.MenuFontBold.Caption = "&Bold"
	    FormMain.MenuFontUnderline.Caption = "&Underline"
	    FormMain.MenuFontItalic.Caption = "&Italic"
	    FormMain.MenuFontStrikeThru.Caption = "&Strike Thru"
	    FormMain.MenuFontSuperScript.Caption = "Su&perScript"
	    FormMain.MenuFontSubScript.Caption = "&Subscript"
	    FormMain.MenuAlignLeft.Caption = "Align &left"
	    FormMain.MenuAlignCenter.Caption = "&Center"
	    FormMain.MenuAlignRight.Caption = "Align &right"
	    FormMain.MenuAlignJustify.Caption = "&Justify"
	    FormMain.MenuSpacingOne.Caption = "Single Spa&ce"
	    FormMain.MenuSpacingOneHalf.Caption = "1.&5 Spacing"
	    FormMain.MenuSpacingDouble.Caption = "&Double Space"
	    FormMain.MenuFontColor.Caption = "C&olor..."
	    FormMain.MenuFontChoice.Caption = "&Font..."
	    FormMain.MenuFontScreen.Caption = "&Screenfonts"
		    
	    FormMain.MenuSearch.Caption = "&Search"
	    FormMain.MenuSearchSearch.Caption = "&Search..."
	    FormMain.MenuSearchReplace.Caption = "&Replace..."
	    FormMain.MenuSearchContinue.Caption = "&Continue search"
		    
	    FormMain.MenuOpt.Caption = "&Options"
	    FormMain.MenuOptDocFormat.Caption = "&Margins..."
	    FormMain.MenuOptParagraph.Caption = "&Paragraph/Tabs..."
	    FormMain.MenuOptBackColor.Caption = "&Background Color..."
	    FormMain.MenuOptGrayBk.Caption = "&Grey background"
	    FormMain.MenuOptLineBreak.Caption = "&Line break"
	    FormMain.MenuOptPictureFrame.Caption = "Show &bitmap as frame"
	    FormMain.MenuOptCR.Caption = "Page breaks visible"
	    FormMain.MenuOptTab.Caption = "&Tabs visible"
	    FormMain.MenuOptSpace.Caption = "Sp&aces visible"
	    FormMain.MenuOptPFVisible.Caption = "Show &data fields"
	    FormMain.MenuOptPFFunction.Caption = "Show &field Function"
	    FormMain.MenuOptPFGhost.Caption = "Show &ghost fields"
	    FormMain.MenuOptLineGhost.Caption = "Show ghost &lines"
	    FormMain.MenuOptMetric.Caption = "Metri&c"
	    FormMain.MenuOptInch.Caption = "Inc&h"
	    FormMain.MenuOptSave.Caption = "Save Pro&file"
		    
	    FormMain.MenuSpecial.Caption = "&Misc"
	    FormMain.MenuSpecialHeadFoot.Caption = "&Headers/Footers"
	    FormMain.MenuSpecialPreview.Caption = "&Preview"
	    FormMain.MenuSpecialFields.Caption = "&Insert fields..."
	    FormMain.MenuSpecialPicture.Caption = "Insert &bitmap..."
	    FormMain.MenuSpecialInsertTable.Caption = "Insert &table..."
	    FormMain.MenuSpecialInsertRow.Caption = "Insert table &row"
	    FormMain.MenuSpecialDeleteRow.Caption = "D&elete table row"
	    FormMain.MenuSpecialFormatText.Caption = "&Format text"
	    FormMain.MenuSpecialFF.Caption = "P&age breaks"
	    FormMain.MenuSpecialPaginate.Caption = "Pagi&nate"
	    FormMain.MenuSpecialAddress.Caption = "&Sample: Change address..."
		    
	    FormMain.MenuSpell.Caption = "&Spelling"
	    FormMain.MenuSpellImmediate.Caption = "Check as you &type"
	    FormMain.MenuSpellBeep.Caption = "&Sound"
	    FormMain.MenuSpellWord.Caption = "Current &word..."
	    FormMain.MenuSpellCursor.Caption = "&Check from Cursor..."
	    FormMain.MenuSpellSkip.Caption = "&Skip combined words"
	    FormMain.MenuSpellDict.Caption = "&Dictionary..."
	    
	    FormMain.MenuLanguage.Caption = "&Language"
	    FormMain.MenuLanguageGerman.Caption = "&German"
	    FormMain.MenuLanguageEnglish.Caption = "&English"
		    
	    FormMain.MenuHelp.Caption = "&?"
	    FormMain.MenuHelpIndex.Caption = "&Index..."
	    FormMain.MenuHelpAbout.Caption = "&About HighEdit..."
    End Select

End Sub

