Unit VIDABOUT;

interface

uses
  Strings,
  WinDos,
  WinTypes,
  WinProcs,
  Win31,
  {-------OWL}
  Objects,
  OWindows,
  ODialogs,
  OStdDlgs,
  ToolHelp,
  OMemory,
  BWCC,
  SFX200;

const
    {About Dialog id's}
 ab_WinMode = 101;
 ab_FreeMem = 102;
 ab_ResPct  = 103;
 ab_mathco  = 104;
 ab_winver  = 105;
 ab_dosver  = 106;
 dlg_About = 'ABOUT';


type
  { Memory About Dialog Declarations }
  PAbtDlg = ^TAbtDlg;
  TAbtDlg = object (TDialog)
     constructor Init (AParent: PWindowsObject; AnID: PChar);
     Destructor DONE ; Virtual;
     procedure   GetWindowClass (var WC: TWndClass); virtual;
     function    GetClassName: PChar; virtual;
     procedure   SetupWindow; virtual;
  end;


IMPLEMENTATION

  function L2Str(Dest : PChar; L : LongInt) : PChar;
  var
    S : string;
  begin
    Str(L, S);
    L2Str := StrPCopy(Dest, S);
  end;

{ ************ TAbtDlg ************ }
constructor TAbtDlg.Init;
begin
  inherited Init(APArent,AnID);
  { - set SFX dialog to steel attribute }
   Attr.Param := mws_SFXCaption;
end;

destructor TAbtDlg.Done;
  begin
    TDialog.Done;
  end;

procedure TAbtDlg.GetWindowClass(var WC: TWndClass);
begin
  inherited GetWindowClass(WC);
end;

function TAbtDlg.GetClassName: PChar;
begin
  GetClassName := 'BORDLG_ABT';
end;


procedure TAbtDlg.SetupWindow;
var
  M           : TMemManInfo;
  H           : TSysHeapInfo;
  Temp        : array[0..40] of Char;
  PercentFree : Word;
  UserFree    : Word;
  len         : Word;
  Ver: Longint;
  ArgList: array[0..1] of word;
  WindowsVersion: Array[0..30] of Char;
  VersionDos: Array[0..30] of Char;
begin {SetupWindow}
  inherited SetupWindow;
  {Center the main window on the screen}
   CenterWindow (0, HWindow);
  if (GetWinFlags and wf_Enhanced) <> 0 then
    SendDlgItemMsg (ab_WinMode, wm_SetText, 0,
      LongInt (PChar('386 Enhanced Mode')))
  else
    SendDlgItemMsg (ab_WinMode, wm_SetText, 0,
      LongInt (PChar ('Standard Mode')));

  if WordBool(GetWinFlags and WF_80x87) then
    SendDlgItemMsg (ab_MathCo, wm_SetText, 0,
      LongInt (PChar('Present')))
  else
    SendDlgItemMsg (ab_MathCo, wm_SetText, 0,
      LongInt (PChar('None')));

    L2Str (Temp, GetFreeSpace(0) div 1024); {K}
   {insert a comma}
    len := StrLen (temp);
    if len > 3 then
    begin
       Move(temp[len-3], temp[len-2], 5);
       temp[len-3] := ',';
    end;
  StrCat (Temp,' K bytes');
  SendDlgItemMSg (ab_FreeMem, wm_SetText, 0, LongInt(@TEMP));
  H.dwSize := SizeOf (TSysHeapInfo);
  SystemHeapInfo (@H);
  if H.wUserFreePercent < H.wGDIFreePercent then
    PercentFree := H.wUserFreePercent
  else
    PercentFree := H.wGDIFreePercent;
  Str (PercentFree,Temp);
  StrCat (Temp,' % free');
  SendDlgItemMsg (ab_ResPct, wm_SetText, 0, LongInt(@TEMP));

  Ver := GetVersion;
  ArgList[0] := Lo(LoWord(Ver));
  ArgList[1] := Hi(LoWord(Ver));
  wvSprintf(WindowsVersion, '%d.%d', ArgList);
  SendDlgItemMsg (ab_WinVer, wm_SetText, 0, LongInt(@WindowsVersion));

  Ver := DosVersion;
  ArgList[0] := Lo(Ver);
  ArgList[1] := Hi(Ver);
  wvsprintf(VersionDos, '%d.%d', ArgList);
  SendDlgItemMsg (ab_DOSVer, wm_SetText, 0, LongInt(@VersionDos));
end; {end SetupWindow}
{end ABOUT }



begin

end.

