program VidPlayer;

{  

COPY SOLVIDEO.DLL TO YOUR \WINDOWS\SYSTEM DIRECTORY


Copyright by Jan Dekkers CIS 72130,353. Feel free to use the code
and solvideo.dll in your NON commercial program. Should you distribute the
SOLVIDEO.DLL and use this pascal interface in a commercial program you must
contact me to negotiate a licence fee. Portions (the original C code where the
DLL is based on)are written by Kirk E. Barrett}

uses
  WinCrt,
  Strings,
  WinDos,
  WinTypes,
  WinProcs,
  Win31,
  CommDlg,
  {-------OWL}
  {$IFDEF VER70}
  Objects,
  OWindows,
  ODialogs,
  OStdDlgs,
  {$ELSE}
  WObjects,
  {$ENDIF}
  BWCC,
  vplay,
  VIDABOUT,
  MMSYSTEM,
  SFX200; {SFXxxx can be dowloaded from compuserve. GO BPASCAL}

{$R PVIDEO.RES}

const
cm_vOpenPlay  = 101;
cm_vExit      = 102;
cm_vStop      = 103;
cm_vReplay    = 104;
cm_vPause     = 105;
cm_vResume    = 106;
cm_vRewind    = 107;
cm_vMute      = 108;
cm_vConfigure = 109;
cm_vPlay      = 110;
cm_vAbout     = 111;

type
  TMyApplication = object(TApplication)
    procedure InitMainWindow; virtual;
  end;

  Pvideoplayer = ^Tvideoplayer;
  Tvideoplayer = object(TsfxWindow)
      Template      : Integer;
      Filters       : PChar;
      OFNFlags      : LongInt;
      Index         : LongInt;
      centerrect    : Trect;
    constructor Init(AParent: PWindowsObject; AName: PChar);
    procedure setupwindow; virtual;
    procedure OpenF (Var Msg: tMessage); Virtual cm_First+cm_vOpenPlay;
    function PlayVideo(pwnd  : hwnd) : bool;Virtual cm_First+cm_vPlay;
    function setupVideo (fname : Pchar;
                         pwnd  : hwnd;
                         rect  : trect;
                         where : integer): bool;
    function StopVideo : bool; Virtual cm_First+cm_vStop;
    function GetVerboseResult : integer;
    procedure   WMSize(var Msg : TMessage); virtual wm_First + wm_Size;
    function ReplayVideo : bool; Virtual cm_First+cm_vReplay;
    function PauseVideo : bool; Virtual cm_First+cm_vPause;
    function ResumeVideo : bool; Virtual cm_First+cm_vResume;
    function ResizeVideo(pwnd  : hwnd;
                        rect  : trect) : bool;
    function RewindVideo : bool; Virtual cm_First+cm_vrewind;
    function ToggleAudio : bool; Virtual cm_First+cm_vMute;
    function Configure : bool; Virtual cm_First+cm_vConfigure;
    procedure exitit(var Msg: TMessage);virtual cm_First+cm_vExit;
    procedure isinstalled;
    procedure CMAbout(var Msg: TMessage);virtual cm_First+cm_vAbout;
    {Procedure Centerwindow(pwnd  : hwnd);}
    destructor done; virtual;
  end;


 constructor Tvideoplayer.Init(AParent: PWindowsObject; AName: PChar);
 begin
  inherited init(AParent,AName);
    Attr.Style := Attr.Style + ws_Overlapped or ws_Caption or ws_SysMenu or
                  ws_MinimizeBox or mws_SFXCaption or mws_Raised3DGlaze;

    {Set the window size and position}
    with Attr do begin
      X := 0;
      Y := 0;
      W := 300;
      H := 280;
    end;
    {Load the main menu}
    Attr.Menu := LoadMenu(HInstance, 'PVIDEO');
 end;


 destructor Tvideoplayer.done;
 begin
  StopVideo;
  inherited done;
 end;

 procedure Tvideoplayer.exitit;
 begin
  done;
 end;

 procedure Tvideoplayer.setupwindow;
 begin
   CenterWindow (0, HWindow);
   tsfxwindow.setupwindow;
   isinstalled;
 end;


procedure  Tvideoplayer.isinstalled;
begin
 if not vidIsAVIInstalled then begin
  MessageBox (0,'Video for windows is not installed. Please install and try again. '+
  'You can download video for windows from any mayor BBS system! Or call microsoft.','', mb_Ok);
  halt;
 end;
end;

(*Procedure Tvideoplayer.Centerwindow(pwnd  : hwnd);

{a  procedure to center your window. SFX200 includes this procedure
thus you don't need to include the source here but could be handy
if you not include sfx200.}

 var
 cxWin,{         // Delta X for parent window}
 cyWin,{         // Delta Y for parent window}
 xDlg,{          // New X coordinate for dialog box}
 yDlg,{          // New Y coordinate for dialog box}
 cxDlg,{         // Delta X for dialog box}
 cyDlg,{         // Delta Y for dialog box}
 cxScreen,{      // Delta X for screen}
 cyScreen : integer;{      // Delta Y for screen}
 rcPrnt, rcDlg : TRECT;{   // Rectangle for dialog box}
	               {// Rectangle for parent window}
 hWndParent: HWND;
 begin
   cxScreen:= GetSystemMetrics(SM_CXSCREEN);
   cyScreen:= GetSystemMetrics(SM_CYSCREEN);
   hWndParent:= GetDesktopWindow; {// GetWindowWord(hDlg, GWW_HWNDPARENT);}

	if(IsWindow(hWndParent)) then begin
		GetWindowRect(hWndParent, rcPrnt);
		cxWin := rcPrnt.right - rcPrnt.left;
		cyWin := rcPrnt.bottom - rcPrnt.top;
	end else  begin
		cxWin:= 0;{     // Force the centering calculation to}
		cyWin:= 0;{     // think that the dialog is centered on Win Desktop}
	end;
		GetWindowRect(pwnd, rcDlg);
		cxDlg := rcDlg.right - rcDlg.left;
		cyDlg := rcDlg.bottom - rcDlg.top;
		{// Determine new dialog X and Y coordinate}
		xDlg := (cxWin - cxDlg) div 2;
		xDlg := xDlg+rcPrnt.left;
		yDlg := (cyWin - cyDlg) div 2;
		yDlg := yDlg+rcPrnt.top;
		{// Center the dialog using new coordinates}
		if ((xDlg < 0) OR (yDlg < 0) OR (xDlg+cxDlg > cxScreen) OR (yDlg+cyDlg > cyScreen)) then
                begin
			xDlg := (cxScreen - cxDlg) DIV 2;
			yDlg := (cyScreen - cyDlg) DIV 2;
		end;
                MoveWindow(pwnd, xDlg, yDlg, cxDlg, cyDlg, TRUE);
  end;*)


procedure Tvideoplayer.OpenF(Var Msg: tMessage);
 var
  FN : array[0..fsPathName] of Char;
  Title : array[0..100] of Char;
  R: TRect;
  Cursor: hCursor;
  DriveRet:String;
  tr : trect;
 begin
   getclientrect(hwindow,centerrect);
   with centerrect do begin
    left:=left+10;
    top:=top+10;
    right:=right-20;
    bottom:=bottom-20;
   end;
        GetDir(0,DriveRet);
  	StrCopy(Fn,'*.AVI');
	Filters := 'AVI (*.avi)'#0'*.avi'#0;
	OFNFlags := 0;
	Index := 1;
        StrCopy(title,'Select AVI File to View');
	Template := GetSFXTemplateId('SFXGRAYDlg', dlg_OpenSave);
	if (SFXOpenFile(HWindow, fn, Filters, OFNFlags, Template, False, Title, index, nil)) then begin
         StopVideo;
         SetupVideo(fn,hwindow,centerrect,0);
	end;
       ChDir(DriveRet);
       SetWindowText(hwindow, fn);
end;

function Tvideoplayer.PlayVideo(pwnd  : hwnd) : bool;

begin
 vidplayvideo(hwindow);
end;


function Tvideoplayer.setupVideo (fname : Pchar;
                             pwnd  : hwnd;
                             rect  : trect;
                             where : integer): bool;
begin
 vidSetupVideo(fname,pwnd,rect,where);
end;

function Tvideoplayer.StopVideo : bool;
begin
 vidStopVideo;
end;

function Tvideoplayer.GetVerboseResult : integer;
begin

end;

function Tvideoplayer.ReplayVideo : bool;
begin
 vidReplayVideo;
end;

function Tvideoplayer.PauseVideo : bool;
begin
 vidPauseVideo;
end;

function Tvideoplayer.ResumeVideo : bool;
begin
 vidResumeVideo;
end;

procedure Tvideoplayer.WMSize(var Msg : TMessage);
begin
  TsfxWindow.WMSize(Msg);
   getclientrect(hwindow,centerrect);
   with centerrect do begin
    left:=left+10;
    top:=top+10;
    right:=right-20;
    bottom:=bottom-20;
   end;
   ResizeVideo(hwindow,centerrect);
end;


function Tvideoplayer.ResizeVideo(pwnd  : hwnd; rect  : trect) : bool;
begin
 vidResizeVideo(pwnd,rect);
end;

function Tvideoplayer.RewindVideo : bool;
begin
 vidRewindVideo;
end;

function Tvideoplayer.ToggleAudio : bool;
begin
 vidToggleAudio;
end;

function Tvideoplayer.Configure : bool;
begin
 vidConfigure;
end;

procedure Tvideoplayer.CMAbout(var Msg: TMessage);
begin
  Application^.ExecDialog(New(PAbtDlg, Init(@Self, 'About')));
end;


procedure TMyApplication.InitMainWindow;
begin
  MainWindow := New(Pvideoplayer, Init(nil, 'SOL VIDEO'));
end;


var
  MyApp: TMyApplication;

begin
  MyApp.Init('MyProgram');
  MyApp.Run;
  MyApp.Done;
end.