'============================================================================'
'                                                                            '
' Visual Basic global constant file.  This file can be loaded into the       '
' global module.                                                             '
'                                                                            '
' Some constants are commented out because they have duplicates (for         '
' example, NONE appears in several places).                                  '
'                                                                            '
'============================================================================'

Declare Function WinHelp Lib "User" (ByVal hWnd As Integer, ByVal lpHelpFile As String, ByVal wCommand As Integer, dwData As Any) As Integer

'========='
'         '
' General '
'         '
'========='

' Booleans only for Visual Basic 1.0

'Global Const TRUE = -1
'Global Const FALSE = 0

'=================='
'                  '
' Event parameters '
'                  '
'=================='


' ErrNum (LinkError)
Global Const REQUEST_WITHOUT_INIT = 2
Global Const DDE_WITHOUT_INIT = 3
Global Const ADVISE_WITHOUT_INIT = 4
Global Const POKE_WITHOUT_INIT = 5
Global Const INVALID_CONTROL_ARRAY_REFERENCE = 9
Global Const UNEXPECTED_DDE = 10
Global Const OUT_OF_MEMORY = 11
Global Const SERVER_ATTEMPTED_CLIENT_OPERATION = 12



'================='
'                 '
' Property values '
'                 '
'================='


'---------------------
' Language Definitions
'---------------------

Global actlanguage As Integer
Global Const LANGUAGE_GERMAN = 0
Global Const LANGUAGE_ENGLISH = 1


'----------
' Controls
'----------

Global Const VBS_ICONBAR = 1
Global Const VBS_RULER = 2
Global Const VBS_TAB = 4
Global Const VBS_STATUSLINE = 8
Global Const VBS_HIGHEDIT = 32
Global Const VBS_ALL = 0

'----------
' OpenFile
'----------

Global Const OF_READ = &H0
Global Const OF_WRITE = &H1
Global Const OF_READWRITE = &H2
Global Const OF_SHARE_COMPAT = &H0
Global Const OF_SHARE_EXCLUSIVE = &H10
Global Const OF_SHARE_DENY_WRITE = &H20
Global Const OF_SHARE_DENY_READ = &H30
Global Const OF_SHARE_DENY_NONE = &H40
Global Const OF_PARSE = &H100
Global Const OF_DELETE = &H200
Global Const OF_VERIFY = &H400
Global Const OF_SEARCH = &H400
Global Const OF_CANCEL = &H800
Global Const OF_CREATE = &H1000
Global Const OF_PROMPT = &H2000
Global Const OF_EXIST = &H4000
Global Const OF_REOPEN = &H8000

Global Const OF_DEFHESAVE = OF_CREATE + OF_READWRITE + OF_SHARE_DENY_NONE

'------------
' ScrollBars
'------------

Global Const SCROLLBARS_NONE = 0
Global Const SCROLLBARS_HORIZONTAL = 1
Global Const SCROLLBARS_VERTICAL = 2
Global Const SCROLLBARS_BOTH = 3

'---------
' Printing
'---------

Global Const PRINT_END = 0
Global Const PRINT_START = 1
Global Const PRINT_FULLDOCUMENT = 4
Global Const PRINT_INSERTDOCUMENT = 5
Global Const PRINT_FULLDOCUMENTABORTDLG = 7

'---------
' Style
'---------

Global Const ATTR_STANDARD = 0
Global Const ATTR_BOLD = 1
Global Const ATTR_UNDERLINE = 2
Global Const ATTR_ITALIC = 4
Global Const ATTR_STRIKEOUT = 8
Global Const ATTR_SUBSCRIPT = 16
Global Const ATTR_SUPERSCRIPT = 32

Global Const CURRENT_ATTRIBUTE = 255

'------------------
' Font Name Length
'------------------

Global Const LF_FACESIZE = 32

'-----------
' Font Mode
'-----------

Global Const FONT_TYP = &HF

Global Const FONT_DISPLAY = &H0
Global Const FONT_PRINTER = &H1
Global Const FONT_LOGICAL = &H2

Global Const FONT_SET = &HF0

Global Const FONT_SET_NONE = &H0
Global Const FONT_SET_STYLE = &H10
Global Const FONT_SET_COLOR = &H20
Global Const FONT_SET_NAME = &H40
Global Const FONT_SET_SIZE = &H80

Global Const FONT_SET_ALL = FONT_SET_STYLE + FONT_SET_COLOR + FONT_SET_NAME + FONT_SET_SIZE

'-----------
' Font Pitch
'-----------

Global Const DEFAULT_PITCH = &H0
Global Const FIXED_PITCH = &H1
Global Const VARIABLE_PITCH = &H2

'------------
' Font Family
'------------

Global Const FF_DONTCARE = &H0
Global Const FF_ROMAN = &H10
Global Const FF_SWISS = &H20
Global Const FF_MODERN = &H30
Global Const FF_SCRIPT = &H40
Global Const FF_DECORATIVE = &H50

'------------
' Field Types
'------------

Global Const TYP_TEXT = 0
Global Const TYP_BITMAP = 6
Global Const TYP_USER = 10

Global Const TYP_SHAREDPF = TYP_USER + 100

Global Const TYP_INTERESSENT = TYP_SHAREDPF + 10
Global Const TYP_KUNDE = TYP_SHAREDPF + 11
Global Const TYP_LIEFERANT = TYP_SHAREDPF + 12
Global Const TYP_VERTRETER = TYP_SHAREDPF + 13
Global Const TYP_NAME1 = TYP_SHAREDPF + 14
Global Const TYP_NAME2 = TYP_SHAREDPF + 15
Global Const TYP_STRASSE = TYP_SHAREDPF + 16
Global Const TYP_PLZ = TYP_SHAREDPF + 17
Global Const TYP_ORT = TYP_SHAREDPF + 18
Global Const TYP_LAND = TYP_SHAREDPF + 19

Global Const TYP_DATUM = TYP_SHAREDPF + 30
Global Const TYP_ANGEBOTSDATUM = TYP_SHAREDPF + 31
Global Const TYP_AUFTRAGSDATUM = TYP_SHAREDPF + 32
Global Const TYP_LIEFERSCHEINDATUM = TYP_SHAREDPF + 33
Global Const TYP_RECHNUNGSDATUM = TYP_SHAREDPF + 34
Global Const TYP_BESTELLDATUM = TYP_SHAREDPF + 35
Global Const TYP_GUTSCHRIFTDATUM = TYP_SHAREDPF + 36

Global Const TYP_NUMMER = TYP_SHAREDPF + 40
Global Const TYP_ANGEBOTSNUMMER = TYP_SHAREDPF + 41
Global Const TYP_AUFTRAGSNUMMER = TYP_SHAREDPF + 42
Global Const TYP_LIEFERSCHEINNUMMER = TYP_SHAREDPF + 43
Global Const TYP_RECHNUNGSNUMMER = TYP_SHAREDPF + 44
Global Const TYP_BESTELLNUMMER = TYP_SHAREDPF + 45
Global Const TYP_KUNDENNUMMER = TYP_SHAREDPF + 46
Global Const TYP_INTERESSENTENNUMMER = TYP_SHAREDPF + 47
Global Const TYP_LIEFERANTENNUMMER = TYP_SHAREDPF + 48
Global Const TYP_GUTSCHRIFTNUMMER = TYP_SHAREDPF + 49

Global Const TYP_SEITE = TYP_SHAREDPF + 50
Global Const TYP_ZEICHEN = TYP_SHAREDPF + 51
Global Const TYP_UKDNR = TYP_SHAREDPF + 52
Global Const TYP_BEARBEITER = TYP_SHAREDPF + 53
Global Const TYP_PROJEKTEUR = TYP_SHAREDPF + 54
Global Const TYP_ZAHLUNGSBEDINGUNG1 = TYP_SHAREDPF + 55
Global Const TYP_LIEFERBEDINGUNG = TYP_SHAREDPF + 56
Global Const TYP_SKONTO = TYP_SHAREDPF + 57
Global Const TYP_ZAHLUNGSBEDINGUNG2 = TYP_SHAREDPF + 58
Global Const TYP_TELEFON = TYP_SHAREDPF + 59

Global Const TYP_SUMNETTO = TYP_SHAREDPF + 60
Global Const TYP_SUMBRUTTO = TYP_SHAREDPF + 61
Global Const TYP_UEBERTRAG = TYP_SHAREDPF + 62
Global Const TYP_SEITENSUMME = TYP_SHAREDPF + 63
Global Const TYP_SCHAETZPREIS = TYP_SHAREDPF + 64
Global Const TYP_MWST = TYP_SHAREDPF + 65
Global Const TYP_MWSTSATZ = TYP_SHAREDPF + 66
Global Const TYP_FRACHT = TYP_SHAREDPF + 67
Global Const TYP_PORTO = TYP_SHAREDPF + 68

Global Const TYP_LIEFERDATUM = TYP_SHAREDPF + 70
Global Const TYP_ARTIKEL = TYP_SHAREDPF + 71
Global Const TYP_VERSANDART = TYP_SHAREDPF + 72

Global Const TYP_LAUFKARTE = TYP_SHAREDPF + 111
Global Const TYP_ARTIKELNR2 = TYP_SHAREDPF + 112
Global Const TYP_LEGIERUNG = TYP_SHAREDPF + 113
Global Const TYP_KATEGORIE = TYP_SHAREDPF + 114
Global Const TYP_ROHDATUM = TYP_SHAREDPF + 115
Global Const TYP_PRODDATUM = TYP_SHAREDPF + 116
Global Const TYP_FERTIGDATUM = TYP_SHAREDPF + 117
Global Const TYP_STUECK = TYP_SHAREDPF + 118
Global Const TYP_GESSTUECK = TYP_SHAREDPF + 119
Global Const TYP_GRUPPE = TYP_SHAREDPF + 120
Global Const TYP_GRUPPENNR = TYP_SHAREDPF + 121
Global Const TYP_STAND = TYP_SHAREDPF + 122
Global Const TYP_FLAECHE = TYP_SHAREDPF + 123
Global Const TYP_DATUMWE = TYP_SHAREDPF + 124
Global Const TYP_STUECKNORM = TYP_SHAREDPF + 125
Global Const TYP_FLAECHENORM = TYP_SHAREDPF + 126

'--------------
' Font Colors
'--------------

Global Const RGB_BLACK = &H0&
Global Const RGB_BLUE = &HFF0000
Global Const RGB_CYAN = &HFFFF00
Global Const RGB_GREEN = &HFF00&
Global Const RGB_MAGENTA = &HFF00FF
Global Const RGB_RED = &HFF&
Global Const RGB_YELLOW = &HFFFF&
Global Const RGB_WHITE = &HFFFFFF

Global Const RGB_DKBLUE = &H7F0000
Global Const RGB_DKCYAN = &H7F7F00
Global Const RGB_DKGREEN = &H7F00&
Global Const RGB_DKMAGENTA = &H7F007F
Global Const RGB_DKRED = &H7F&
Global Const RGB_DKYELLOW = &H7F7F&

Global Const RGB_GRAY = &H7F7F7F
Global Const RGB_LTGRAY = &HC0C0C0

Global Const CURRENT_COLOR = &HFFFFFFFF

'-----------------
' Undo Types
'-----------------

Global Const UNDO_NONE = -1
Global Const UNDO_CHARINSERT = 0
Global Const UNDO_CHARDELETE = 1
Global Const UNDO_LINEINSERT = 2
Global Const UNDO_BACKSPACE = 3
Global Const UNDO_LINEDELETE = 4
Global Const UNDO_BLOCKCUT = 5
Global Const UNDO_BLOCKPASTE = 6
Global Const UNDO_BLOCKCLEAR = 7

'-----------------
' Flags for Row
'-----------------

Global Const ALIGN_MASK = 3

Global Const ALIGN_LEFT = 0
Global Const ALIGN_RIGHT = 1
Global Const ALIGN_CENTER = 2
Global Const ALIGN_JUSTIFY = 3

Global Const LINE_VISIBLE = 4
Global Const LINE_SOFTRETURN = 8
Global Const LINE_HARDRETURN = 16
Global Const LINE_FORMFEED = 32
Global Const LINE_TABULATOR = 128

Global Const SPACING_MASK = 768

Global Const SPACING_ONE = 0
Global Const SPACING_ONEHALF = 1
Global Const SPACING_DOUBLE = 2

Global Const LINE_INVISIBLEPF = 1024
Global Const LINE_PAGINATEFF = 2048
Global Const LINE_NOTEDITABLE = 4096

'-----------------
' Flags for Research
'-----------------

Global Const SEARCH_FORWARD = 0
Global Const SEARCH_CASE = 2
Global Const SEARCH_WORD = 4
Global Const SEARCH_CURSOR = 8
Global Const SEARCH_BACK = 16
Global Const SEARCH_INIT = 32

Global Const SEARCH_NOTFOUND = 0
Global Const SEARCH_FOUND = 1
Global Const SEARCH_ERROR = 2

'---------------------
' Flags for HE_NEXTPF
'---------------------

Global Const NEXTPF_BACKWARD = 0
Global Const NEXTPF_FORWARD = 1
Global Const NEXTPF_ONLYEDITABLE = 2
Global Const NEXTPF_ONLYVISIBLE = 16
Global Const NEXTPF_FILEENDSTOP = 32

'-------------------------
' Flags for Fields
'-------------------------

Global Const PF_ALIGNMASK = 3

Global Const PF_ALIGNLEFT = 0
Global Const PF_ALIGNRIGHT = 1

Global Const PF_EDITABLE = 4
Global Const PF_FUNCTION = 8
Global Const PF_VISIBLE = 32
Global Const PF_LINEREMOVE = 64
Global Const PF_FIXEDSIZE = 128
Global Const PF_MULTILINE = 256

'---------------------------------------------
' Format for HEAppend-, HELoad- und HESaveDoc
'---------------------------------------------

Global Const FILEFORMAT_HIGHEDIT = 0
Global Const FILEFORMAT_ANSI = 1
Global Const FILEFORMAT_OEM = 2
Global Const FILEFORMAT_RTF = 3

'--------------------------
' Format for HELoadPicture
'--------------------------

Global Const FILEFORMAT_BITMAP = 0
Global Const FILEFORMAT_PCX = 1
Global Const FILEFORMAT_GIF = 2
Global Const FILEFORMAT_TIFF = 3
Global Const FILEFORMAT_TARGA = 4
Global Const FILEFORMAT_WMF = 5

'----------------
' Picture Flags
'----------------

Global Const BMP_ERROR = &H80008000

Global Const BMP_NONE = -1
Global Const BMP_ORIGINAL = 0
Global Const BMP_SCALE = 1
Global Const BMP_KEEPRATIO = 2

'------------
' Units
'------------

Global Const UNIT_CM = 0
Global Const UNIT_IN = 1

'----------------
' Tabs
'----------------

Global Const TAB_LEFT = 0
Global Const TAB_RIGHT = 1
Global Const TAB_DECIMAL = 2
Global Const TAB_CENTER = 3
Global Const TAB_LEFTMARGIN = 6
Global Const TAB_RIGHTMARGIN = 7
Global Const TAB_INDENT = 9

'---------
' Context
'---------

Global Const CONTEXT_MAIN = 0
Global Const CONTEXT_HEAD = 1
Global Const CONTEXT_FOOT = 2

'--------------------
' Table Adjust Flags
'--------------------

Global Const TABLE_ADJUSTCOLUMNS = 1
Global Const TABLE_ADJUSTROWS = 2
Global Const TABLE_ADJUSTREDRAW = 4

'-------------------
' Export Functions
'-------------------

Declare Function HEAppendDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEBackColorDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEColorDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEDeleteDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEDocInfoDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEFontDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEFormatDocDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HELoadDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEParagraphDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEPictureDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEPrintDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEPrintSetupDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEReplaceDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HESaveDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HESearchDlg Lib "HEVB.VBX" (ByVal hWnd%) As Integer

Declare Function HEAddAllPFFlags Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFlags%, ByVal iLevel%, iTypList%) As Integer
Declare Function HEAddFunctionPF Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTyp%, ByVal sName$) As Integer
Declare Function HEAddPFFlags Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFlags%) As Integer
Declare Function HEAdjustTable Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFlags%) As Integer
Declare Function HEAppendDoc Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpFileName$, ByVal iFormat%) As Integer

Declare Function HECanCopy Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HECanPaste Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HECanUndo Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEChangeFunctionPF Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTyp%, ByVal szNewText$) As Integer
Declare Sub HECharInsert Lib "HEVB.VBX" (ByVal hWnd%, ByVal iChar%)
Declare Sub HEClear Lib "HEVB.VBX" (ByVal hWnd%)
Declare Function HEClearAllPFFlags Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFlags%, ByVal iLevel%, iTypList%) As Integer
Declare Function HEClearPFFlags Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFlags%) As Integer
Declare Sub HEClearUndoList Lib "HEVB.VBX" (ByVal hWnd%)
Declare Function HECloseActivePF Lib "HEVB.VBX" (ByVal hWnd%, ByVal iRedraw%) As Integer
Declare Function HECloseActiveTable Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HECloseChild Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Sub HECopy Lib "HEVB.VBX" (ByVal hWnd%)
Declare Function HECopyData Lib "HEVB.VBX" (ByVal hWnd%, sHighEdit$, sText$) As Integer
Declare Function HECopyDataGlobalMem Lib "HEVB.VBX" (ByVal hWnd%, iHighEdit%, iText%) As Integer
Declare Function HECopyRTF Lib "HEVB.VBX" (ByVal hWnd%, sRTF$) As Integer
Declare Function HECopyRTFGlobalMem Lib "HEVB.VBX" (ByVal hWnd%, iRTF%) As Integer
Declare Sub HECursorEnd Lib "HEVB.VBX" (ByVal hWnd%)
Declare Sub HECursorHome Lib "HEVB.VBX" (ByVal hWnd%)
Declare Sub HECut Lib "HEVB.VBX" (ByVal hWnd%)

Declare Function HEDeletePF Lib "HEVB.VBX" (ByVal hWnd%, ByVal iRedraw%) As Integer
Declare Function HEDeleteTableRow Lib "HEVB.VBX" (ByVal hWnd%, ByVal lRow&) As Integer
Declare Sub HEDisplayStatusText Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpText$)

Declare Sub HEEnableScreenFonts Lib "HEVB.VBX" (ByVal hWnd%, ByVal iScreenFonts%)
Declare Sub HEEndSession Lib "HEVB.VBX" (ByVal hWnd%, ByVal iParam%)
Declare Sub HEExtSetRedraw Lib "HEVB.VBX" (ByVal hWnd%, ByVal iRedraw%, ByVal iUpdate%, ByVal iSaveWindow%)
Declare Function HEExtInsertFunctionPF Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTyp%, ByVal iFlags%, ByVal lpText$) As Integer

Declare Sub HEFormatDoc Lib "HEVB.VBX" (ByVal hWnd%)

Declare Sub HEGetActiveHeadFoot Lib "HEVB.VBX" (ByVal hWnd%, lphWndHead%, lphWndFoot%)
Declare Function HEGetActiveHighEdit Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetActiveIconBar Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetActiveRuler Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetActiveStatusLine Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetActiveTabulator Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetAlign Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Sub HEGetChars Lib "HEVB.VBX" (ByVal hWnd%, lpiLeftChar%, lpiRightChar%)
Declare Function HEGetColorIndex Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetContext Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Sub HEGetCursor Lib "HEVB.VBX" (ByVal hWnd%, lpiCursorX%, lplCursorY&)
Declare Function HEGetEOFChar Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetFileName Lib "HEVB.VBX" (ByVal hWnd%, hlstr$) As Integer
Declare Function HEGetFont Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFont%, iHeight%, lRGB&, iPitch%, iFamily%, ByVal sName$) As Integer
Declare Function HEGetFontHandle Lib "HEVB.VBX" (ByVal hWnd%, ByVal iIndex%, ByVal iDevice%) As Integer
Declare Function HEGetFontIndex Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetFunctionPFData Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTyp%, ByVal Buffer$) As Integer
Declare Function HEGetFunctionPFDataLen Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTyp%) As Integer
Declare Function HEGetFunctionPFName Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTyp%, ByVal Buffer$) As Integer
Declare Function HEGetFunctionPFNameLen Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTyp%) As Integer
Declare Function HEGetFunctionPFTableCount Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetFunctionPFTyp Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTyp%) As Integer
Declare Function HEGetGlobalMemSegments Lib "HEVB.VBX" (ByVal iMem%) As Integer
Declare Function HEGetInstancePrinter Lib "HEVB.VBX" (ByVal hWnd%, sPrinter$, iDefault%) As Integer
Declare Function HEGetLine Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpBuffer$, ByVal iMaxLen%) As Integer
Declare Function HEGetLineCount Lib "HEVB.VBX" (ByVal hWnd%) As Long
Declare Function HEGetLineLength Lib "HEVB.VBX" (ByVal hWnd%, ByVal lLine&) As Integer
Declare Sub HEGetMargins Lib "HEVB.VBX" (ByVal hWnd%, lpiLeft%, lpiTop%)
Declare Sub HEGetPage Lib "HEVB.VBX" (ByVal hWnd%, lpwTextPage%, lpwMaxPage%)
Declare Function HEGetPathName Lib "HEVB.VBX" (ByVal hWnd%, lhstr$) As Integer
Declare Function HEGetPFBkColor Lib "HEVB.VBX" (ByVal hWnd%) As Long
Declare Function HEGetPFData Lib "HEVB.VBX" (ByVal hWnd%, ByVal sBuffer$) As Integer
Declare Function HEGetPFDataLen Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetPFFlags Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetPFWidth Lib "HEVB.VBX" (ByVal hWnd%) As Long
Declare Sub HEGetPhysicalDim Lib "HEVB.VBX" (ByVal hWnd%, lpiWidth%, lpiHeight%)
Declare Sub HEGetPhysicalMargins Lib "HEVB.VBX" (ByVal hWnd%, lpiLeft%, lpwTop%)
Declare Function HEGetPictureDim Lib "HEVB.VBX" (ByVal hWnd%, iWidth%, iHeight%) As Integer
Declare Function HEGetPictureFlags Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetPictureOffset Lib "HEVB.VBX" (ByVal hWnd%, xOffset%, yOffset%) As Integer
Declare Function HEGetPrinterCursorHeight Lib "HEVB.VBX" (ByVal hWnd%) As Long
Declare Function HEGetPrinterDC Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetPrinterIC Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Sub HEGetPrinterDim Lib "HEVB.VBX" (ByVal hWnd%, lpiWidth%, lpwHeight%)
Declare Function HEGetPrinterLineHeight Lib "HEVB.VBX" (ByVal hWnd%) As Long
Declare Function HEGetPrinterLineWidth Lib "HEVB.VBX" (ByVal hWnd%) As Long
Declare Sub HEGetRBMargins Lib "HEVB.VBX" (ByVal hWnd%, lpiRight%, lpiBottom%)
Declare Function HEGetRGB Lib "HEVB.VBX" (ByVal hWnd%, ByVal iIndex%) As Long
Declare Function HEGetScreenFont Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFont%, iHeight%, lRGB&, iPitch%, iFamily%, ByVal sName$) As Integer
Declare Function HEGetSelectedText Lib "HEVB.VBX" (ByVal hWnd%, sBuffer$) As Integer
Declare Sub HEGetSelection Lib "HEVB.VBX" (ByVal hWnd%, lpiXWidth%, lplYWidth&)
Declare Function HEGetSelectionStart Lib "HEVB.VBX" (ByVal hWnd%, lpiXStart%, lplYStart&) As Integer
Declare Function HEGetSpacing Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetStyle Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetTabCount Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetTabList Lib "HEVB.VBX" (ByVal hWnd%, iTabTyp%, lTabOffset&) As Integer
Declare Function HEGetTabWidth Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetText Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpBuffer$, ByVal iMaxLen%) As Integer
Declare Sub HEGetTextDim Lib "HEVB.VBX" (ByVal hWnd%, lpiWidth%, lpiHeight%)
Declare Function HEGetTyp Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetUndoDepth Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEGetUnit Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Sub HEGetVersion Lib "HEVB.VBX" (iMajor%, iMinor%, iInternal%)
Declare Function HEGlobalMemToString Lib "HEVB.VBX" (ByVal iMem%, sBuffer$, ByVal iSegment%) As Integer

Declare Sub HEHideDropDown Lib "HEVB.VBX" (ByVal hWnd%)

Declare Sub HEInitNewDoc Lib "HEVB.VBX" (ByVal hWnd%)
Declare Function HEInsertBitmap Lib "HEVB.VBX" (ByVal hWnd%, ByVal iBitmap%) As Integer
Declare Function HEInsertFunctionPF Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTyp%, ByVal lpText$) As Integer
Declare Function HEInsertTable Lib "HEVB.VBX" (ByVal hWnd%, ByVal iColumns%, ByVal iRows%) As Integer
Declare Function HEInsertTableRow Lib "HEVB.VBX" (ByVal hWnd%, ByVal lRow&) As Integer
Declare Function HEIsClearDelete Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsCRVisible Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsFormfeed Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsGrayBk Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsHeadFootVisible Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsIgnoreEditable Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsInsertMode Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsLineBreak Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsLineEditable Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsLineGhost Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsModified Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsPercentThumb Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsPFActive Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsPFBkVisible Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsPFFunctionVisible Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsPFGhost Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsPictureFrame Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsPreview Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsReadOnly Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsScreenFont Lib "HEVB.VBX" (ByVal hWnd%, ByVal iIndex%) As Integer
Declare Function HEIsScreenFontsEnabled Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsSpaceVisible Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsTableActive Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsTabVisible Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEIsTextSelectable Lib "HEVB.VBX" (ByVal hWnd%) As Integer

Declare Function HELoadDoc Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpFileName$, ByVal iFormat%) As Integer
Declare Function HELoadPicture Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpFileName$, ByVal iFormat%) As Integer

Declare Function HENextPF Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFlags%, ByVal iLevel%, iTypList%) As Integer

Declare Sub HEPaginate Lib "HEVB.VBX" (ByVal hWnd%)
Declare Sub HEPaginateHwnd Lib "HEVB.VBX" (ByVal hWnd%, ByVal hWndHead%, ByVal hWndFoot%)
Declare Sub HEPaste Lib "HEVB.VBX" (ByVal hWnd%)
Declare Function HEPasteData Lib "HEVB.VBX" (ByVal hWnd%, sHighEdit$, sText$) As Integer
Declare Function HEPasteDataGlobalMem Lib "HEVB.VBX" (ByVal hWnd%, ByVal iHighEdit%, ByVal iText%) As Integer
Declare Function HEPasteRTF Lib "HEVB.VBX" (ByVal hWnd%, sRTF$) As Integer
Declare Function HEPasteRTFGlobalMem Lib "HEVB.VBX" (ByVal hWnd%, ByVal iRTF%) As Integer
Declare Sub HEPreview Lib "HEVB.VBX" (ByVal hWnd%)
Declare Sub HEPrintDoc Lib "HEVB.VBX" (ByVal hWnd%)
Declare Function HEPrintDocAbortDlg Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpDocTitle$, ByVal iPageCounter%) As Integer
Declare Sub HEPrintDocParam Lib "HEVB.VBX" (ByVal hWnd%, ByVal iStartPage%, ByVal iEndPage%)
Declare Function HEPrintDocParamAbortDlg Lib "HEVB.VBX" (ByVal hWnd%, ByVal iStartPage%, ByVal iEndPage%, ByVal lpDocTitle$, ByVal iPageCounter%) As Integer
Declare Sub HEPrintDocParamHwnd Lib "HEVB.VBX" (ByVal hWnd%, ByVal iStartPage%, ByVal iEndPage%, ByVal hWndHead%, ByVal hWndFoot%)
Declare Function HEPrintDocParamHwndAbortDlg Lib "HEVB.VBX" (ByVal hWnd%, ByVal iStartPage%, ByVal iEndPage%, ByVal hWndHead%, ByVal hWndFoot%, ByVal lpDocTitle$, ByVal iPageCounter%) As Integer
Declare Sub HEPrintInsertDoc Lib "HEVB.VBX" (ByVal hWnd%, ByVal hdcPrinter%, ByVal x1%, ByVal y1%, ByVal x2%, ByVal y2%)

Declare Function HEQueryUndoType Lib "HEVB.VBX" (ByVal hWnd%) As Long
Declare Function HEQuickReplace Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpText$, ByVal iLen%) As Integer

Declare Sub HERedraw Lib "HEVB.VBX" (ByVal hWnd%, ByVal iClear%)
Declare Function HEReplaceSel Lib "HEVB.VBX" (ByVal hWnd%, ByVal szText$, ByVal iTextWidth%) As Integer

Declare Function HESaveDoc Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpFileName$, ByVal iStyle%, ByVal iFormat%) As Integer
Declare Function HESearch Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFlags%, ByVal lpText$, ByVal iDisplayError%) As Integer
Declare Function HESearchContinue Lib "HEVB.VBX" (ByVal hWnd%, ByVal iDisplayError%) As Integer
Declare Function HESelectAll Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HESelectWord Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HESendMessage Lib "HEVB.VBX" (ByVal hWnd%, ByVal wMessage%, ByVal wParam%, ByVal lParam&) As Long
Declare Sub HESetAlign Lib "HEVB.VBX" (ByVal hWnd%, ByVal iAlign%)
Declare Function HESetAllPFFlags Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFlags%, ByVal iLevel%, iTypList%) As Integer
Declare Sub HESetAllPFWidth Lib "HEVB.VBX" (ByVal hWnd%, ByVal iWidth%, iTypList%)
Declare Sub HESetClearDelete Lib "HEVB.VBX" (ByVal hWnd%, ByVal iClearDelete%)
Declare Function HESetContext Lib "HEVB.VBX" (ByVal hWnd%, ByVal iContext%) As Integer
Declare Sub HESetControls Lib "HEVB.VBX" (ByVal hWnd%, ByVal iStyle%)
Declare Function HESetCursor Lib "HEVB.VBX" (ByVal hWnd%, ByVal iXNew%, ByVal lYNew&) As Integer
Declare Sub HESetCRVisible Lib "HEVB.VBX" (ByVal hWnd%, ByVal iVisible%)
Declare Sub HESetEOFChar Lib "HEVB.VBX" (ByVal hWnd%, ByVal iChar%)
Declare Function HESetFont Lib "HEVB.VBX" (ByVal hWnd%, ByVal iHeight%, ByVal lRGB&, ByVal iPitch%, ByVal iFamily%, ByVal sName$, ByVal iMode%) As Integer
Declare Sub HESetFileName Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpFileName$)
Declare Sub HESetGrayBk Lib "HEVB.VBX" (ByVal hWnd%, ByVal iGrayBk%)
Declare Sub HESetIgnoreEditable Lib "HEVB.VBX" (ByVal hWnd%, ByVal iIgnoreEditable%)
Declare Sub HESetInsertMode Lib "HEVB.VBX" (ByVal hWnd%, ByVal iInsertMode%)
Declare Function HESetInstancePrinter Lib "HEVB.VBX" (ByVal hWnd%, ByVal sPrinter$) As Integer
Declare Sub HESetLineBreak Lib "HEVB.VBX" (ByVal hWnd%, ByVal iBreak%)
Declare Sub HESetLineEditable Lib "HEVB.VBX" (ByVal hWnd%, ByVal iEditable%)
Declare Sub HESetLineGhost Lib "HEVB.VBX" (ByVal hWnd%, ByVal iVisible%)
Declare Sub HESetMargins Lib "HEVB.VBX" (ByVal hWnd%, ByVal iLeft%, ByVal iTop%)
Declare Sub HESetModified Lib "HEVB.VBX" (ByVal hWnd%, ByVal iModified%)
Declare Sub HESetSpacing Lib "HEVB.VBX" (ByVal hWnd%, ByVal iLineSpacing%)
Declare Sub HESetOffset Lib "HEVB.VBX" (ByVal hWnd%, ByVal iXOffset%, ByVal iYOffset%, ByVal iUpdate%)
Declare Sub HESetPageCounter Lib "HEVB.VBX" (ByVal hWnd%, ByVal iPageCounter%)
Declare Sub HESetPathName Lib "HEVB.VBX" (ByVal hWnd%, ByVal lpPathName$)
Declare Sub HESetPercentThumb Lib "HEVB.VBX" (ByVal hWnd%, ByVal iPercentThumb%)
Declare Sub HESetPFBkColor Lib "HEVB.VBX" (ByVal hWnd%, ByVal lRGB&)
Declare Sub HESetPFBkVisible Lib "HEVB.VBX" (ByVal hWnd%, ByVal iVisible%)
Declare Sub HESetPFFunctionVisible Lib "HEVB.VBX" (ByVal hWnd%, ByVal iVisible%)
Declare Function HESetPFFlags Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFlags%) As Integer
Declare Sub HESetPFGhost Lib "HEVB.VBX" (ByVal hWnd%, ByVal iVisible%)
Declare Function HESetPFWidth Lib "HEVB.VBX" (ByVal hWnd%, ByVal iWidth%) As Integer
Declare Function HESetPictureDim Lib "HEVB.VBX" (ByVal hWnd%, ByVal iWidth%, ByVal iHeight%) As Integer
Declare Function HESetPictureFlags Lib "HEVB.VBX" (ByVal hWnd%, ByVal iFlags%) As Integer
Declare Sub HESetPictureFrame Lib "HEVB.VBX" (ByVal hWnd%, ByVal iPictureFrame%)
Declare Function HESetPictureOffset Lib "HEVB.VBX" (ByVal hWnd%, ByVal xOffset%, ByVal yOffset%) As Integer
Declare Sub HESetRBMargins Lib "HEVB.VBX" (ByVal hWnd%, ByVal iRight%, ByVal iBottom%)
Declare Sub HESetReadOnly Lib "HEVB.VBX" (ByVal hWnd%, ByVal iReadOnly%)
Declare Sub HESetRedraw Lib "HEVB.VBX" (ByVal hWnd%, ByVal iRedraw%)
Declare Sub HESetScrollBars Lib "HEVB.VBX" (ByVal hWnd%, ByVal iScrollBars%)
Declare Function HESetSelection Lib "HEVB.VBX" (ByVal hWnd%, ByVal iXWidth%, ByVal lYWidth&) As Integer
Declare Function HESetSelectionEditable Lib "HEVB.VBX" (ByVal hWnd%, ByVal iEditable%) As Integer
Declare Function HESetUndoDepth Lib "HEVB.VBX" (ByVal hWnd%, ByVal iMaxDepth%)
Declare Sub HESetSpaceVisible Lib "HEVB.VBX" (ByVal hWnd%, ByVal iVisible%)
Declare Function HESetStyle Lib "HEVB.VBX" (ByVal hWnd%, ByVal iAttribute%, ByVal lColor&) As Integer
Declare Sub HESetTabVisible Lib "HEVB.VBX" (ByVal hWnd%, ByVal iVisible%)
Declare Function HESetTabList Lib "HEVB.VBX" (ByVal hWnd%, ByVal iCount%, iTabTyp%, lTabOffset&) As Integer
Declare Sub HESetTabWidth Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTabWidth%)
Declare Sub HESetTextDim Lib "HEVB.VBX" (ByVal hWnd%, ByVal iWidth%, ByVal iHeight%)
Declare Sub HESetTextSelectable Lib "HEVB.VBX" (ByVal hWnd%, ByVal iTextSelectable%)
Declare Sub HESetUnit Lib "HEVB.VBX" (ByVal hWnd%, ByVal iUnit%)
Declare Function HEShowHeadFoot Lib "HEVB.VBX" (ByVal hWnd%, ByVal iShow%) As Integer

Declare Function HETableActivate Lib "HEVB.VBX" (ByVal hWnd%) As Integer
Declare Function HEToggleFormFeed Lib "HEVB.VBX" (ByVal hWnd%) As Integer

Declare Function HEUndo Lib "HEVB.VBX" (ByVal hWnd%, ByVal iIndex%) As Integer

Declare Sub HEWinIniChange Lib "HEVB.VBX" (ByVal hWnd%, ByVal lParam&)
Declare Function HEWriteProfile Lib "HEVB.VBX" (ByVal hWnd%) As Integer

