// hevc.h : header file
//

// HighEdit Control Notification Codes
                   
#define ON_HEM_ALIGN(id, memberFxn)             ON_CONTROL(HEM_ALIGN, id, memberFxn)
#define ON_HEM_CURSORPOS(id, memberFxn)         ON_CONTROL(HEM_CURSORPOS, id, memberFxn)
#define ON_HEM_DBLCLK(id, memberFxn)            ON_CONTROL(HEM_DBLCLK, id, memberFxn)
#define ON_HEM_ENDPF(id, memberFxn)             ON_CONTROL(HEM_ENDPF, id, memberFxn)
#define ON_HEM_FILEEXISTS(id, memberFxn)        ON_CONTROL(HEM_FILEEXISTS, id, memberFxn)
#define ON_HEM_FONT(id, memberFxn)              ON_CONTROL(HEM_FONT, id, memberFxn)
#define ON_HEM_FONTSIZE(id, memberFxn)          ON_CONTROL(HEM_FONTSIZE, id, memberFxn)
#define ON_HEM_FORMATPF(id, memberFxn)          ON_CONTROL(HEM_FORMATPF, id, memberFxn)
#define ON_HEM_GETHSCROLLPOS(id, memberFxn)     ON_CONTROL(HEM_GETHSCROLLPOS, id, memberFxn)
#define ON_HEM_GETVSCROLLPOS(id, memberFxn)     ON_CONTROL(HEM_GETVSCROLLPOS, id, memberFxn)
#define ON_HEM_HSCROLL(id, memberFxn)           ON_CONTROL(HEM_HSCROLL, id, memberFxn)
#define ON_HEM_INITNEW(id, memberFxn)           ON_CONTROL(HEM_INITNEW, id, memberFxn)
#define ON_HEM_INSERT(id, memberFxn)            ON_CONTROL(HEM_INSERT, id, memberFxn)
#define ON_HEM_KILLFOCUS(id, memberFxn)         ON_CONTROL(HEM_KILLFOCUS, id, memberFxn)
#define ON_HEM_MESSAGETEXT(id, memberFxn)       ON_CONTROL(HEM_MESSAGETEXT, id, memberFxn)
#define ON_HEM_MODIFYPF(id, memberFxn)          ON_CONTROL(HEM_MODIFYPF, id, memberFxn)
#define ON_HEM_PRINTFOOT(id, memberFxn)         ON_CONTROL(HEM_PRINTFOOT, id, memberFxn)
#define ON_HEM_PRINTHEAD(id, memberFxn)         ON_CONTROL(HEM_PRINTHEAD, id, memberFxn)
#define ON_HEM_SELECTPF(id, memberFxn)          ON_CONTROL(HEM_SELECTPF, id, memberFxn)
#define ON_HEM_SETFOCUS(id, memberFxn)          ON_CONTROL(HEM_SETFOCUS, id, memberFxn)
#define ON_HEM_SETHSCROLLPOS(id, memberFxn)     ON_CONTROL(HEM_SETHSCROLLPOS, id, memberFxn)
#define ON_HEM_SETHSCROLLRANGE(id, memberFxn)   ON_CONTROL(HEM_SETHSCROLLRANGE, id, memberFxn)
#define ON_HEM_SETVSCROLLPOS(id, memberFxn)     ON_CONTROL(HEM_SETVSCROLLPOS, id, memberFxn)
#define ON_HEM_SETVSCROLLRANGE(id, memberFxn)   ON_CONTROL(HEM_SETVSCROLLRANGE, id, memberFxn)
#define ON_HEM_SIZEPF(id, memberFxn)            ON_CONTROL(HEM_SIZEPF, id, memberFxn)
#define ON_HEM_SPACING(id, memberFxn)           ON_CONTROL(HEM_SPACING, id, memberFxn)
#define ON_HEM_STYLE(id, memberFxn)             ON_CONTROL(HEM_STYLE, id, memberFxn)
#define ON_HEM_TABMODIFY(id, memberFxn)         ON_CONTROL(HEM_TABMODIFY, id, memberFxn)
#define ON_HEM_VSCROLL(id, memberFxn)           ON_CONTROL(HEM_VSCROLL, id, memberFxn)


#define ON_HEF_LOWMEMORY(id, memberFxn)         ON_CONTROL(HEM_LOWMEMORY, id, memberFxn)
#define ON_HEF_NOBLOCKMARK(id, memberFxn)       ON_CONTROL(HEM_NOBLOCKMARK, id, memberFxn)
#define ON_HEF_NOHEFILE(id, memberFxn)          ON_CONTROL(HEM_NOHEFILE, id, memberFxn)
#define ON_HEF_NOLOAD(id, memberFxn)            ON_CONTROL(HEM_NOLOAD, id, memberFxn)
#define ON_HEF_NOMEMORY(id, memberFxn)          ON_CONTROL(HEM_NOMEMORY, id, memberFxn)
#define ON_HEF_NOSAVE(id, memberFxn)            ON_CONTROL(HEM_NOSAVE, id, memberFxn)
#define ON_HEF_NOSTART(id, memberFxn)           ON_CONTROL(HEM_NOSTART, id, memberFxn)
#define ON_HEF_NOTMPCLOSE(id, memberFxn)        ON_CONTROL(HEM_NOTMPCLOSE, id, memberFxn)
#define ON_HEF_NOTMPOPEN(id, memberFxn)         ON_CONTROL(HEM_NOTMPOPEN, id, memberFxn)
#define ON_HEF_NOTMPSPACE(id, memberFxn)        ON_CONTROL(HEM_NOTMPSPACE, id, memberFxn)
#define ON_HEF_NORTFFILE(id, memberFxn)         ON_CONTROL(HEM_NORTFFILE, id, memberFxn)
#define ON_HEF_WRONGVERSION(id, memberFxn)      ON_CONTROL(HEM_WRONGVERSION, id, memberFxn)
#define ON_HEF_NOFONT(id, memberFxn)            ON_CONTROL(HEM_NOFONT, id, memberFxn)
#define ON_HEF_NOPRINTER(id, memberFxn)         ON_CONTROL(HEM_NOPRINTER, id, memberFxn)
#define ON_HEF_NOWRITEACCESS(id, memberFxn)     ON_CONTROL(HEM_NOWRITEACCESS, id, memberFxn)
#define ON_HEF_LOWRESOURCES(id, memberFxn)      ON_CONTROL(HEM_LOWRESOURCES, id, memberFxn)
                   
/////////////////////////////////////////////////////////////////////////////
// CHighEdit window

class CHighEdit : public CWnd
{
    DECLARE_DYNAMIC(CHighEdit)

// Construction
public:
    CHighEdit();
    BOOL Create (DWORD dwstyle, const RECT& rect, CWnd* pParentWnd, UINT nID);
// Attributes
public:

// Operations
public:

// Implementation
public:
    virtual ~CHighEdit();
protected:
    virtual WNDPROC* GetSuperWndProcAddr ();
    
    // Generated message map functions
protected:

    // Generated message map functions
    //{{AFX_MSG(CHighEdit)
        // NOTE - the ClassWizard will add and remove member functions here.
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
