/*---------------------------------------------------------------------------*/
/*                                                                           */
/*	 Name:	highdef.h														 */
/*   Autor: Andreas Claus                                                    */
/*	 Datum: 14-Sep-1994 													 */
/*                                                                           */
/*---------------------------------------------------------------------------*/

#define WINDOWSUBMENU 6
#define GWW_PROGPARAM 0

#define FILEFORMAT_HIGHEDIT 0
#define FILEFORMAT_ANSI 1
#define FILEFORMAT_OEM 2
#define FILEFORMAT_RTF 3

//-------------------
// Protectfeld Types
//-------------------

#define TYP_SHAREDPF	(TYP_USER + 100)

#define TYP_INTERESSENT 		(TYP_SHAREDPF + 10)
#define TYP_KUNDE				(TYP_SHAREDPF + 11)
#define TYP_LIEFERANT			(TYP_SHAREDPF + 12)
#define TYP_VERTRETER			(TYP_SHAREDPF + 13)
#define TYP_NAME1				(TYP_SHAREDPF + 14)
#define TYP_NAME2				(TYP_SHAREDPF + 15)
#define TYP_STRASSE 			(TYP_SHAREDPF + 16)
#define TYP_PLZ 				(TYP_SHAREDPF + 17)
#define TYP_ORT 				(TYP_SHAREDPF + 18)
#define TYP_LAND				(TYP_SHAREDPF + 19)
#define TYP_BRIEFANREDE 		(TYP_SHAREDPF + 20)
#define TYP_PARTNER 			(TYP_SHAREDPF + 21)

#define TYP_LNAME1				(TYP_SHAREDPF + 22)
#define TYP_LNAME2				(TYP_SHAREDPF + 23)
#define TYP_LSTRASSE			(TYP_SHAREDPF + 24)
#define TYP_LPLZ				(TYP_SHAREDPF + 25)
#define TYP_LORT				(TYP_SHAREDPF + 26)
#define TYP_LLAND				(TYP_SHAREDPF + 27)

#define TYP_DATUM				(TYP_SHAREDPF + 30)
#define TYP_ANGEBOTSDATUM		(TYP_SHAREDPF + 31)
#define TYP_AUFTRAGSDATUM		(TYP_SHAREDPF + 32)
#define TYP_LIEFERSCHEINDATUM	(TYP_SHAREDPF + 33)
#define TYP_RECHNUNGSDATUM		(TYP_SHAREDPF + 34)
#define TYP_BESTELLDATUM		(TYP_SHAREDPF + 35)
#define TYP_GUTSCHRIFTDATUM 	(TYP_SHAREDPF + 36)

#define TYP_NUMMER				(TYP_SHAREDPF + 40)
#define TYP_ANGEBOTSNUMMER		(TYP_SHAREDPF + 41)
#define TYP_AUFTRAGSNUMMER		(TYP_SHAREDPF + 42)
#define TYP_LIEFERSCHEINNUMMER	(TYP_SHAREDPF + 43)
#define TYP_RECHNUNGSNUMMER 	(TYP_SHAREDPF + 44)
#define TYP_BESTELLNUMMER		(TYP_SHAREDPF + 45)
#define TYP_KUNDENNUMMER		(TYP_SHAREDPF + 46)
#define TYP_INTERESSENTENNUMMER (TYP_SHAREDPF + 47)
#define TYP_LIEFERANTENNUMMER	(TYP_SHAREDPF + 48)
#define TYP_GUTSCHRIFTNUMMER	(TYP_SHAREDPF + 49)

#define TYP_SEITE				(TYP_SHAREDPF + 50)
#define TYP_ZEICHEN 			(TYP_SHAREDPF + 51)
#define TYP_UKDNR				(TYP_SHAREDPF + 52)
#define TYP_BEARBEITER			(TYP_SHAREDPF + 53)
#define TYP_PROJEKTEUR			(TYP_SHAREDPF + 54)
#define TYP_ZAHLUNGSBEDINGUNG1	(TYP_SHAREDPF + 55)
#define TYP_LIEFERBEDINGUNG 	(TYP_SHAREDPF + 56)
#define TYP_SKONTO				(TYP_SHAREDPF + 57)
#define TYP_ZAHLUNGSBEDINGUNG2	(TYP_SHAREDPF + 58)
#define TYP_TELEFON 			(TYP_SHAREDPF + 59)

#define TYP_SUMNETTO			(TYP_SHAREDPF + 60)
#define TYP_SUMBRUTTO			(TYP_SHAREDPF + 61)
#define TYP_UEBERTRAG			(TYP_SHAREDPF + 62)
#define TYP_SEITENSUMME 		(TYP_SHAREDPF + 63)
#define TYP_SCHAETZPREIS		(TYP_SHAREDPF + 64)
#define TYP_MWST1				(TYP_SHAREDPF + 65)
#define TYP_MWSTSATZ1			(TYP_SHAREDPF + 66)
#define TYP_FRACHT				(TYP_SHAREDPF + 67)
#define TYP_PORTO				(TYP_SHAREDPF + 68)
#define TYP_SUMNETTO2			(TYP_SHAREDPF + 69)

#define TYP_LIEFERDATUM 		(TYP_SHAREDPF + 70)
#define TYP_ARTIKEL 			(TYP_SHAREDPF + 71)
#define TYP_VERSANDART			(TYP_SHAREDPF + 72)
#define TYP_MWST2				(TYP_SHAREDPF + 73)
#define TYP_MWSTSATZ2			(TYP_SHAREDPF + 74)

#define TYP_TITEL				(TYP_SHAREDPF + 110)
#define TYP_LAUFKARTE			(TYP_SHAREDPF + 111)
#define TYP_ARTIKELNR2			(TYP_SHAREDPF + 112)
#define TYP_LEGIERUNG			(TYP_SHAREDPF + 113)
#define TYP_KATEGORIE			(TYP_SHAREDPF + 114)
#define TYP_ROHDATUM			(TYP_SHAREDPF + 115)
#define TYP_PRODDATUM			(TYP_SHAREDPF + 116)
#define TYP_FERTIGDATUM 		(TYP_SHAREDPF + 117)
#define TYP_STUECK				(TYP_SHAREDPF + 118)
#define TYP_GESSTUECK			(TYP_SHAREDPF + 119)
#define TYP_GRUPPE				(TYP_SHAREDPF + 120)
#define TYP_GRUPPENNR			(TYP_SHAREDPF + 121)
#define TYP_STAND				(TYP_SHAREDPF + 122)
#define TYP_FLAECHE 			(TYP_SHAREDPF + 123)
#define TYP_DATUMWE 			(TYP_SHAREDPF + 124)
#define TYP_STUECKNORM			(TYP_SHAREDPF + 125)
#define TYP_FLAECHENORM 		(TYP_SHAREDPF + 126)

#define TYP_BENUTZER (TYP_USER + 230)

#define TYP_MAX = 255

//--------------
// Resource IDs
//--------------

#define HIGHEDIT_MENU 1
//#define HIGHEDIT_CHILDMENU 2
#define HIGHEDIT_ICON 3
#define HIGHEDIT_CHILDICON 4
#define HIGHEDIT_ACCEL 5

//-------------
// Control IDs
//-------------

#define ID_HIGHEDIT    0xCA0
//#define ID_STATUS	   0xCA5
#define ID_TAB         0xCA6
#define ID_RULER	   0xCA7
#define ID_ICON 	   0xCA8
#define ID_LAYER	   0xCA9

//----------
// Menu IDs
//----------

#define IDM_FILENEW 		1001
#define IDM_FILEOPEN		1002
#define IDM_FILEAPPEND		1003
#define IDM_FILESAVE		1004
#define IDM_FILESAVEAS		1005
#define IDM_FILEINFO		1006
#define IDM_FILEPRINT		1007
#define IDM_FILEPRINTSETUP	1008
#define IDM_FILEEXIT		1009

//#define IDM_EDITUNDO		1500

#define IDM_EDITCUT 		2001
#define IDM_EDITCOPY		2002
#define IDM_EDITPASTE		2003
#define IDM_EDITCLEAR		2004
#define IDM_EDITSELECT		2005

#define IDM_STANDARD		3001
#define IDM_BOLD			3002
#define IDM_UNDERLINE		3003
#define IDM_ITALIC			3004
#define IDM_STRIKEOUT		3005
#define IDM_SUBSCRIPT		3006
#define IDM_SUPERSCRIPT 	3007
#define IDM_FLUSHLEFT		3008
#define IDM_FLUSHRIGHT		3009
#define IDM_CENTER			3010
#define IDM_JUSTIFY 		3011
#define IDM_SPACINGONE		3012
#define IDM_SPACINGONEHALF	3013
#define IDM_SPACINGDOUBLE	3014
#define IDM_COLOR			3015
#define IDM_NEWFONT 		3016
#define IDM_SCREENFONTS 	3017

#define IDM_SEARCH          4001
#define IDM_REPLACE 		4002
#define IDM_SEARCHCONT		4003

#define IDM_DOCFORMAT		5001
#define IDM_BACKCOLOR		5002
#define IDM_GRAYBK			5003
#define IDM_LINEBREAK		5004
#define IDM_CRVISIBLE		5005
#define IDM_TABVISIBLE		5006
#define IDM_SPACEVISIBLE	5007
#define IDM_PFVISIBLE		5008
#define IDM_PFFUNCTION		5009
#define IDM_PFGHOST 		5010
#define IDM_LINEGHOST		5011
#define IDM_UNITCM			5012
#define IDM_UNITIN			5013
#define IDM_SAVEOPTIONS 	5014
#define IDM_PARAGRAPH		5015
#define IDM_PICTUREFRAME	5016

#define IDM_FIELDINSERT 	6001
#define IDM_FORMAT			6002
#define IDM_FORMFEED		6003
#define IDM_PAGINATE		6004
#define IDM_ADDRESS 		6005
#define IDM_INSERTPICTURE	6006
#define IDM_INSERTTABLE 	6007
#define IDM_INSERTTABLEROW	6008
#define IDM_DELETETABLEROW	6009

#define IDM_PREVIEW 		7000
#define IDM_HEADFOOT		7001
#define IDM_WINDOWNEW		7002
#define IDM_WINDOWTILE		7003
#define IDM_WINDOWCASCADE	7004
#define IDM_WINDOWCLOSEALL	7005
#define IDM_WINDOWICONS 	7006
#define IDM_WINDOWCHILD 	7100

#define IDM_HELPINDEX		8000
#define IDM_ABOUT			8001

//------------------
// STRINGTABLE ID's
//------------------

#define IDS_APPNAME 		1
#define IDS_NOMEMORY		2
#define IDS_LOWMEMORY		3
#define IDS_NOSAVE			4
#define IDS_NOLOAD			5
#define IDS_NOSTART 		6
#define IDS_NOBLOCKMARK 	7
#define IDS_NOTMPOPEN		8
#define IDS_NOTMPCLOSE		9
#define IDS_NOHEFILE		10
#define IDS_NOTMPSPACE		11
#define IDS_UNTITLED		12
#define IDS_SEARCHNOTFOUND	13
#define IDS_SEARCHERROR 	14
#define IDS_CLOSESAVE		15
#define IDS_WRONGVERSION	16
#define IDS_NORTFFILE		17
#define IDS_NOFONT			18
#define IDS_NOPRINTER		19
#define IDS_NOWRITEACCESS	21
#define IDS_REPLACEFILE 	22
#define IDS_LOWRESOURCES	23
#define IDS_PRINTPAGE		24
#define IDS_PRINTDOC		25
#define IDS_PRINTDEVICE 	26
#define IDS_ROW 			27
#define IDS_COLUMN			28
#define IDS_PAGE			29
#define IDS_UNDO			30
#define IDS_UNDOCHARINSERT	31
#define IDS_UNDOCHARDELETE	32
#define IDS_UNDOLINEINSERT	33
#define IDS_UNDOBACKSPACE	34
#define IDS_UNDOLINEDELETE	35
#define IDS_UNDOBLOCKCUT	36
#define IDS_UNDOBLOCKCLEAR	37
#define IDS_UNDOBLOCKPASTE	38
#define IDS_NOTABLEINSERT	39

//--------
// Macros
//--------

#define MAKEWORD(a,b) ((WORD)(((BYTE)(a)) | ((WORD)((BYTE)(b))) << 8))

#define GET_HANDLE	GetWindowWord (hwndActive, GWW_PROGPARAM)
