// highfrm.cpp : implementation of the CHighFrame class
//

#include "stdafx.h"  
#include "highvcpp.h"

#include "highfrm.h"
#include "highdoc.h"
#include "highvw.h"


#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHighFrame

IMPLEMENT_DYNAMIC(CHighFrame, CMDIFrameWnd)

BEGIN_MESSAGE_MAP(CHighFrame, CMDIFrameWnd)
    //{{AFX_MSG_MAP(CHighFrame)
    ON_WM_CREATE()
    ON_WM_SIZE()
    ON_WM_DESTROY()
   //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CHighFrame construction/destruction

CHighFrame::CHighFrame()
{
    // TODO: add member initialization code here
    
    m_pStatusFont = NULL;
}

CHighFrame::~CHighFrame()
{
}

/////////////////////////////////////////////////////////////////////////////
// CHighFrame diagnostics

#ifdef _DEBUG
void CHighFrame::AssertValid() const
{
    CMDIFrameWnd::AssertValid();
}

void CHighFrame::Dump(CDumpContext& dc) const
{
    CMDIFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CHighFrame message handlers

int CHighFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
    if (CMDIFrameWnd::OnCreate(lpCreateStruct) == -1)
        return -1;
    
    // TODO: Add your specialized creation code here

    if (m_pHEIcon = new CHEIconBar ())
        m_pHEIcon->Create (WS_DEFICONBAR, CRect (), this, ID_ICON);
                  
    if (m_pHEStatus = new CHEStatusLine ())
    {
        m_pHEStatus->Create (WS_DEFSTATUS, CRect (), this, ID_STATUS);
        
        if (m_pStatusFont = new CFont ())
        {
            m_pStatusFont->CreateFont (16, 0, 0, 0, FW_THIN, 0, 0, 0
                                    , ANSI_CHARSET, 0, 0, DEFAULT_QUALITY
                                    , VARIABLE_PITCH | FF_DONTCARE
                                    , "Helv");

            m_pHEStatus->SendMessage (WM_SETFONT, (WORD) m_pStatusFont->m_hObject, 0L);
            m_pHEStatus->SendMessage (SL_SETITEM, 60, 1L);
            m_pHEStatus->SendMessage (SL_SETITEM, 50, 0L);
            m_pHEStatus->SendMessage (SL_SETITEM, 60, 1L);
            m_pHEStatus->SendMessage (SL_SETITEM, 50, 0L);
            m_pHEStatus->SendMessage (SL_SETITEM, 80, 1L);
            m_pHEStatus->SendMessage (SL_SETITEM, 50, 0L);
                    
            
            m_pHEStatus->SendMessage (SL_SETITEMTEXT, 1, (LONG) (LPSTR) "Column");
            m_pHEStatus->SendMessage (SL_SETITEMTEXT, 3, (LONG) (LPSTR) "Row");
            m_pHEStatus->SendMessage (SL_SETITEMTEXT, 5, (LONG) (LPSTR) "Page");
            m_pHEStatus->ShowWindow (SW_SHOW);
        }
    }
        
    return 0;
}

void CHighFrame::OnSize(UINT nType, int cx, int cy)
{
    CMDIFrameWnd::OnSize(nType, cx, cy);
    
    // TODO: Add your message handler code here
     
    if (nType != SIZEICONIC)
    {
        int y = 0, iStatusHeight = 0;
    
        if (m_pHEIcon)
        {
            m_pHEIcon->MoveWindow (0, 0, cx, 32, FALSE);
            y += 32;
        }    
    
        if (m_pHEStatus)
        {
            iStatusHeight = (int) m_pHEStatus->SendMessage (SL_GETHEIGHT, 0, 0L);
            m_pHEStatus->MoveWindow (0, cy - iStatusHeight, cx, iStatusHeight, TRUE);
        }

        ::MoveWindow (m_hWndMDIClient, 0, y, cx, cy - iStatusHeight - y, TRUE);
    }
}

void CHighFrame::OnDestroy()
{
    CMDIFrameWnd::OnDestroy();
    
    // TODO: Add your message handler code here
    
    delete m_pHEIcon;
    delete m_pHEStatus;
    delete m_pStatusFont;
}

